---@class xFaceRigBoneControl
xFaceRigBoneControl = {}


---@type string
xFaceRigBoneControl.strBoneName = ''


---@type number
xFaceRigBoneControl.fWeight = 0


---@class XFaceRigSetting
XFaceRigSetting = {}


---@public XFaceRigSetting_new00
---@return XFaceRigSetting
function XFaceRigSetting:new() end


---@public XFaceRigSetting_Load00
---@param strFilePath string
---@return boolean
function XFaceRigSetting:Load(strFilePath) end


---@type xhashtable__cstring_and_XString @readonly 
XFaceRigSetting.m_mStateToChannel = {}


---@type xFaceRigBoneControl[]
XFaceRigSetting.m_vControlBone = {}


---@class FaceRigParam
FaceRigParam = {}


---@public FaceRigParam_new00
---@return FaceRigParam
function FaceRigParam:new() end


---@type xhashtable_XString_and_xfloat32
FaceRigParam.mStateWeight = {}


---@type XVECTOR3
FaceRigParam.vEuler = {}


---@class xFaceRigControllerInfo
xFaceRigControllerInfo = {}


---@public xFaceRigControllerInfo_new00
---@return xFaceRigControllerInfo
function xFaceRigControllerInfo:new() end


---@type string
xFaceRigControllerInfo.strBoneName = ''


---@type number
xFaceRigControllerInfo.fWeight = 0


---@type XBoneWorldRotController
xFaceRigControllerInfo.pController = {}


---@class XFaceRigAnim : XBlendShapeAnim
XFaceRigAnim = {}


---@public XFaceRigAnim_new00
---@param pModelIns IXModelInstance
---@return XFaceRigAnim
function XFaceRigAnim:new(pModelIns) end


---@public 加载设置文件
---@param strFileName string 文件名称
---@return void
function XFaceRigAnim:LoadSettingFile(strFileName) end


---@public 更新FaceRig参数
---@param param  FaceRigParam
---@param bClearAllBeforeApply boolean 应用参数前是否清空之前的数据
---@return void
function XFaceRigAnim:TickFaceRigParam(param, bClearAllBeforeApply) end


---@public 重新生成morph weight 和由配置信息生成channel对应关系
---当前模型skin有增删除时，weight、channel等记录需要重新生成；
---@param bGenerateWeight boolean 是否重新生成morphweight，默认为true
---@param bGenerateChannelIndexBySetting boolean 是否由配置信息生成channel对应关系，默认为true
---@return void
function XFaceRigAnim:ReGenerateFaceRigInfo(bGenerateWeight, bGenerateChannelIndexBySetting) end


---@public 设置FaceRig融合权重值
---@param fBlendWeight number 融合权重值
---@return void
function XFaceRigAnim:SetFaceRigBlendWeight(fBlendWeight) end


---@public 获取FaceRig融合权重值
---@return number 融合权重值
function XFaceRigAnim:GetFaceRigBlendWeight() end


---@public 以覆盖的方式，将当前anim动画的，骨头控制，绑定到骨架上。
---@return boolean 是否成功
function XFaceRigAnim:ReBindBoneControllerToSkinmodelInsSkeleton() end


---@public 重置FaceRigParam参数
---@return void
function XFaceRigAnim:ReSetFaceRigParam() end


---@public 去解绑骨头控制器，与skinmodel脱离关联
---@return void
function XFaceRigAnim:UnbingBoneController() end


---@public 当没有配置骨头时，左右摆动，设置是否直接摆动模型
---@param bEnable boolean 设置是否直接摆动模型
---@return void
function XFaceRigAnim:SetRotateModelOfNoBoneControl(bEnable) end


---@public 当没有配置骨头时，左右摆动，判断是否直接摆动模型
---@return boolean 是否直接摆动模型
function XFaceRigAnim:GetRotateModelOfNoBoneControl() end


