---@class FxPropertyObject : XOwnerRecorder
FxPropertyObject = {}


---@public 获取某一个属性对应的指针对象
---@param szPropertyName string 属性名称
---@return FxProperty 属性指针对象
function FxPropertyObject:GetProperty(szPropertyName) end


---@public 获取类别数目
---@return number 类别数目
function FxPropertyObject:GetCategoryNum() end


---@public 获取某一类别名称
---@param nCategory number 属性类别
---@return string 类别名称
function FxPropertyObject:GetCategoryName(nCategory) end


---@public 获取某一类别所有属性信息
---@param nCategory number 属性类别
---@return FxProperty[] 所有属性信息数组指针
function FxPropertyObject:GetProperties(nCategory) end


---@public 从另一个属性对象拷贝信息
---@param pPropertyObject  FxPropertyObject 要拷贝的属性对象
---@return boolean 是否拷贝成功
function FxPropertyObject:CopyValueFrom(pPropertyObject) end


