---@class IX2DPhysicalManager : XOwnerRecorder
IX2DPhysicalManager = {}


---@public 初始化
---@return boolean
function IX2DPhysicalManager:Init() end


---@public 释放
---会自动销毁所有未销毁的场景
---@return void
function IX2DPhysicalManager:Release() end


---@public 创建一个2D物理场景
---@param szSceneName string 场景名称
---@return IX2DPhysicalScene 场景指针，创建失败返回NULL
function IX2DPhysicalManager:CreateScene(szSceneName) end


---@public IX2DPhysicalManager_CreateScene01
---@param szSceneName string
---@param vGravity XVECTOR2
---@return IX2DPhysicalScene
function IX2DPhysicalManager:CreateScene(szSceneName, vGravity) end


---@public 获取一个2D物理场景
---@param szSceneName string 场景名称
---@return IX2DPhysicalScene 场景指针，不存在返回NULL
function IX2DPhysicalManager:GetScene(szSceneName) end


---@public 销毁一个2D物理场景
---@param szSceneName string 场景名称
---@return void
function IX2DPhysicalManager:DestroyScene(szSceneName) end


---@public 销毁一个2D物理场景
---@param pScene IX2DPhysicalScene 场景指针
---@return void
function IX2DPhysicalManager:DestroyScene(pScene) end


