---@class XUICallFunc : XUIActionInstant
XUICallFunc = {}


---@manual 用一个回调函数创建CallFunc动作，回调函数的类型是std::function<void()>。
---这是创建回调函数的首选方法。 这个API绑定在js或lua中，输入参数会被改变。 lua : local create(local funcID).
---@public XUICallFunc_Create_manual
---@param funcFunction  std::function<void(XUINode*)> 需要被执行的回调函数
---@return XUICallFunc
function XUICallFunc:Create(funcFunction) end


