---@class IXEActorInterface
IXEActorInterface = {}


---@public IXEActorInterface_ReleaseActor00
---@param pActor XEActor
---@return boolean
function IXEActorInterface:ReleaseActor(pActor) end


---@public IXEActorInterface_FindActor00
---@param strActorName string
---@param bFindInPrefab boolean
---@return XEActor
function IXEActorInterface:FindActor(strActorName, bFindInPrefab) end


---@public IXEActorInterface_FindActorByIdString00
---@param strActorIdString string
---@param bFindInPrefab boolean
---@return XEActor
function IXEActorInterface:FindActorByIdString(strActorIdString, bFindInPrefab) end


---@public IXEActorInterface_FindActorByOriginalIdString00
---@param strActorIdString string
---@param bFindInPrefab boolean
---@return XEActor
function IXEActorInterface:FindActorByOriginalIdString(strActorIdString, bFindInPrefab) end


---@public IXEActorInterface_HasActor00
---@param pActor  XEActor
---@param bIgnoreDeleted boolean
---@return boolean
function IXEActorInterface:HasActor(pActor, bIgnoreDeleted) end


---@public IXEActorInterface_GetActorCount00
---@param strActorType string
---@return number
function IXEActorInterface:GetActorCount(strActorType) end


---@public IXEActorInterface_GetActorsOfType00
---@param strActorType string
---@return XEActor[]
---@return void
function IXEActorInterface:GetActorsOfType(strActorType) end


---@public IXEActorInterface_UpdateNameOfActor00
---@param strActorOldName string
---@param strActorNewName string
---@return XEActor
function IXEActorInterface:UpdateNameOfActor(strActorOldName, strActorNewName) end


---@public IXEActorInterface_AddActorToRenderOrder00
---@param pActor XEActor
---@return boolean
function IXEActorInterface:AddActorToRenderOrder(pActor) end


---@public IXEActorInterface_RemoveActorFromRenderOrder00
---@param pActor XEActor
---@return boolean
function IXEActorInterface:RemoveActorFromRenderOrder(pActor) end


---@public IXEActorInterface_MakeActorInRenderOrderSafe00
---@return void
function IXEActorInterface:MakeActorInRenderOrderSafe() end


---@public IXEActorInterface_SortActorInRenderOrder00
---@return void
function IXEActorInterface:SortActorInRenderOrder() end


---@public IXEActorInterface_GetAllActors00
---@return XEActor[]
---@return void
function IXEActorInterface:GetAllActors() end


---@public IXEActorInterface_GetActorFastMap00
---@return xhashtable_XString_and_XEActor_p_
---@return void
function IXEActorInterface:GetActorFastMap() end


---@public IXEActorInterface_GetActorValidOrder00
---@return number
function IXEActorInterface:GetActorValidOrder() end


---@public IXEActorInterface_RemoveActor00
---@param pActor XEActor
---@param bRemoveInPrefab boolean
---@return boolean
function IXEActorInterface:RemoveActor(pActor, bRemoveInPrefab) end


---@public IXEActorInterface_AddActor00
---@param pActor XEActor
---@return boolean
function IXEActorInterface:AddActor(pActor) end


