---@class XESkySphereActor : XEActor
XESkySphereActor = {}


---@public XESkySphereActor_new00
---@return XESkySphereActor
function XESkySphereActor:new() end


---@public 把某个天空移入场景中
---@param pViewport XEViewport 表示当前Actor所处的世界对象绑定的视口指针.
---@param pSkyName string 要移入的天空的名称
---@return boolean
function XESkySphereActor:Present(pViewport, pSkyName) end


---@public 把移入的天空移除，并释放掉
---@return void
function XESkySphereActor:Absent() end


---@public 是否移入了天空
---@return boolean
function XESkySphereActor:IsPresent() end


---@public 天空切换
---@param skyName string 要切换的天空名称.
---@return boolean
function XESkySphereActor:SwitchSky(skyName) end


---@public 天空切换为已有存储中的下一个
---@return boolean
function XESkySphereActor:SwitchSkyNext() end


---@type string @readonly Actor类型名
XESkySphereActor.ACTOR_TYPENAME = ''


