---@class XECustomMeshComponent : XEActorComponent
XECustomMeshComponent = {}


---@public 创建一个绘制单元，创建的绘制单元会自动被该Component管理绘制
---@return XECustomPrimtive 创建的绘制单元
function XECustomMeshComponent:CreatePrimtive() end


---@public 移除一个绘制单元
---@param pPrimtive XECustomPrimtive 要移除的绘制单元
---@return void
function XECustomMeshComponent:RemovePrimtive(pPrimtive) end


---@public XECustomMeshComponent_RemovePrimtive01
---@param pPrimtive XECustomPrimtive
---@param bClean boolean
---@return void
function XECustomMeshComponent:RemovePrimtive(pPrimtive, bClean) end


---@public 插入一个绘制单元，创建的绘制单元可以通过RemovePrimtive从某个Component中移除并不释放内存，就可以用来插入到另一个Component中。如果该绘制单元已存在于另一个Component，会被自动移除。
---@param nIndex number 插入的索引号
---@param pPrimtive XECustomPrimtive 要被插入的绘制单元
---@return void
function XECustomMeshComponent:InsertPrimtive(nIndex, pPrimtive) end


