---粒子实例引擎渲染图元的子视图图元代理
---@class XEParticleSystemSubviewPrimitive : XESubviewPrimitiveAgent
XEParticleSystemSubviewPrimitive = {}


---粒子组件
---封装了引擎中IFxInstance对象，对应XEParticleSystemActor
---@class XEParticleSystemComponent : XEPrimitiveComponent
XEParticleSystemComponent = {}


---@public XEParticleSystemComponent_new00
---@return XEParticleSystemComponent
function XEParticleSystemComponent:new() end


---@manual xelua_XEngine_XEParticleSystemComponent_LoadAssetAsync_manual
---@public XEParticleSystemComponent_LoadAssetAsync_manual
---@param pPath string
---@param Delegate XEAsyncLoading::CompletionDelegate
---@return void
function XEParticleSystemComponent:LoadAssetAsync(pPath, Delegate) end


---@public 获取引擎封装的粒子实例指针
---@return IFxInstance
function XEParticleSystemComponent:GetFxInstance() end


---@public 获取粒子资源路径
---@return string
function XEParticleSystemComponent:GetAssetPath() end


---@public 设置粒子自动激活状态
---@param bAuto boolean
---@return void
function XEParticleSystemComponent:SetAutoActive(bAuto) end


---@public 获取粒子是否是自动激活状态
---@return boolean
function XEParticleSystemComponent:IsAutoActive() end


---@public 重新开始播放粒子系统
---@return boolean
function XEParticleSystemComponent:RestartParticleSystem() end


---@public 停止播放粒子系统
---@return boolean
function XEParticleSystemComponent:StopParticleSystem() end


---@public 恢复播放粒子系统
---@return boolean
function XEParticleSystemComponent:PlayParticlSystem() end


---@public 创建粒子实例
---@return boolean
function XEParticleSystemComponent:Create() end


---@public 设置粒子播放速度
---@param fRadio number
---@return void
function XEParticleSystemComponent:SetTimeRadio(fRadio) end


---@type string @readonly Component类型名
XEParticleSystemComponent.COMPONENT_TYPENAME = ''


