---@class XEAnimBlendEleModelAnimation : XEAnimBlendBase
XEAnimBlendEleModelAnimation = {}


---@public XEAnimBlendEleModelAnimation_new00
---@return XEAnimBlendEleModelAnimation
function XEAnimBlendEleModelAnimation:new() end


---@public 设置混合区域开始时间，单位是微秒
---@param fBlendInTime number
---@return void
function XEAnimBlendEleModelAnimation:SetBlendInTime(fBlendInTime) end


---@public 设置混合区域结束时间，单位是微秒
---@param fBlendOutTime number
---@return void
function XEAnimBlendEleModelAnimation:SetBlendOutTime(fBlendOutTime) end


---@public 获取混合区域开始时间，单位是微秒
---@return number
function XEAnimBlendEleModelAnimation:GetBlendInTime() end


---@public 获取混合区域结束时间，单位是微秒
---@return number
function XEAnimBlendEleModelAnimation:GetBlendOutTime() end


---@public 获取混合动画整体的开始时间，单位是微秒
---@return number
function XEAnimBlendEleModelAnimation:GetStartTime() end


---@public 获取混合动画整体的结束时间，单位是微秒
---@return number
function XEAnimBlendEleModelAnimation:GetEndTime() end


---@public 给当前动画元素添加动画元素信息
---@param nStartTime number 添加的动画开始时间
---@param pIns XEAnimBlendEleModelAnimationIns 添加的动画元素对应的实例指针
---@return boolean 是否添加成功
function XEAnimBlendEleModelAnimation:AddAnimation(nStartTime, pIns) end


---@public 获取动画资源路径
---@return string
function XEAnimBlendEleModelAnimation:GetAnimAssetPath() end


