---Montage的粒子效果通知类
---@class XEAnimMonNotifyParticle : XEAnimMonNotify
XEAnimMonNotifyParticle = {}


---@public XEAnimMonNotifyParticle_new00
---@return XEAnimMonNotifyParticle
function XEAnimMonNotifyParticle:new() end


---@public 判断是否是出生模式，如果为true，粒子每次都会生成一个新的粒子效果
---@return boolean
function XEAnimMonNotifyParticle:IsSpawnMode() end


---@public 判断是否立即销毁，如果为true，粒子效果通知实例释放的时候，也会立即释放掉粒子系统；否则，会延迟释放
---@return boolean
function XEAnimMonNotifyParticle:IsDestroyImmediately() end


---@public 获取到粒子系统相对于绑定的插槽的变换矩阵
---@return XETransform
function XEAnimMonNotifyParticle:GetRelativeTransform() end


---@public 获取粒子资源的路径
---@return string
function XEAnimMonNotifyParticle:GetParticleAssetPath() end


---@public 设置粒子资源的路径
---@param szPath string
---@return void
function XEAnimMonNotifyParticle:SetParticleAssetPath(szPath) end


---@public 设置是否立即销毁
---@param bSet boolean
---@return void
function XEAnimMonNotifyParticle:SetDestroyImmediately(bSet) end


---@public 设置是否是出生模式
---@param bSpawnMode boolean
---@return void
function XEAnimMonNotifyParticle:SetSpawnMode(bSpawnMode) end


---@public 将粒子效果绑定到某个插槽上
---@param socketName string 粒子绑定的插槽名称，如果为空，则粒子生成在Actor的原点
---@return boolean 是否绑定成功
function XEAnimMonNotifyParticle:BindXESocket(socketName) end


---@public 获取粒子效果绑定的插槽指针
---@return XEBindSocket
function XEAnimMonNotifyParticle:GetBindSocket() end


---@public XEAnimMonNotifyParticle_GetBindSocket01
---@return  XEBindSocket
function XEAnimMonNotifyParticle:GetBindSocket() end


---@public 获取粒子效果绑定的插槽名称
---@return string
function XEAnimMonNotifyParticle:GetBindSocketName() end


---@public 将粒子效果与插槽解绑
---@return void
function XEAnimMonNotifyParticle:UnbindXESocket() end


