---@class SubviewPrimitive
SubviewPrimitive = {}


---@public SubviewPrimitive_new00
---@return SubviewPrimitive
function SubviewPrimitive:new() end


---@type number @enum eRenderAttr
SubviewPrimitive.RA_INVALID = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_AS_HOLDER = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_AS_GUEST = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_AS_HOLDER_OR_GUEST_DONT_CARE = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_RENDER_IN_VIEWPORT = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_RENDER_IN_SUBVIEW = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_RENDER_TEXTURE_IN_VIEWPORT = 0


---@type number @enum eRenderAttr
SubviewPrimitive.RA_CAMERA_BUILD_INNER = 0


---@public 子视图对象是否有效
---@return boolean
function SubviewPrimitive:IsValid() end


---@public SubviewPrimitive_IsHolder00
---@return boolean
function SubviewPrimitive:IsHolder() end


---@public SubviewPrimitive_IsGuest00
---@return boolean
function SubviewPrimitive:IsGuest() end


---@public SubviewPrimitive_IsHolderGuestDontCare00
---@return boolean
function SubviewPrimitive:IsHolderGuestDontCare() end


---@public SubviewPrimitive_IsRenderInViewport00
---@return boolean
function SubviewPrimitive:IsRenderInViewport() end


---@public SubviewPrimitive_IsRenderInSubview00
---@return boolean
function SubviewPrimitive:IsRenderInSubview() end


---@public SubviewPrimitive_IsRenderTextureInViewport00
---@return boolean
function SubviewPrimitive:IsRenderTextureInViewport() end


---@public SubviewPrimitive_IsOnlyRenderInSubview00
---@return boolean
function SubviewPrimitive:IsOnlyRenderInSubview() end


---@public SubviewPrimitive_IsCameraBuildInner00
---@return boolean
function SubviewPrimitive:IsCameraBuildInner() end


---@public SubviewPrimitive_HasRenderAttribute00
---@param eRA number
---@return boolean
function SubviewPrimitive:HasRenderAttribute(eRA) end


---@public SubviewPrimitive_SetAsHolder00
---@return void
function SubviewPrimitive:SetAsHolder() end


---@public SubviewPrimitive_SetAsGuest00
---@return void
function SubviewPrimitive:SetAsGuest() end


---@public SubviewPrimitive_SetHolderGuestDontCare00
---@return void
function SubviewPrimitive:SetHolderGuestDontCare() end


---@public SubviewPrimitive_SetRenderInViewport00
---@return void
function SubviewPrimitive:SetRenderInViewport() end


---@public SubviewPrimitive_SetRenderInSubview00
---@return void
function SubviewPrimitive:SetRenderInSubview() end


---@public SubviewPrimitive_SetOnlyRenderInSubview00
---@return void
function SubviewPrimitive:SetOnlyRenderInSubview() end


---@public SubviewPrimitive_SetRenderTextureInViewport00
---@return void
function SubviewPrimitive:SetRenderTextureInViewport() end


---@public SubviewPrimitive_SetBuildCameraInner00
---@return void
function SubviewPrimitive:SetBuildCameraInner() end


---@public SubviewPrimitive_SetNotRenderInViewport00
---@return void
function SubviewPrimitive:SetNotRenderInViewport() end


---@public SubviewPrimitive_SetNotRenderInSubview00
---@return void
function SubviewPrimitive:SetNotRenderInSubview() end


---@public SubviewPrimitive_SetNotRenderTextureInViewport00
---@return void
function SubviewPrimitive:SetNotRenderTextureInViewport() end


---@public SubviewPrimitive_SetNotBuildCameraInner00
---@return void
function SubviewPrimitive:SetNotBuildCameraInner() end


---@public SubviewPrimitive_GetSubview00
---@return XESubview
function SubviewPrimitive:GetSubview() end


---@public SubviewPrimitive_GetRenderTargetBuilder00
---@return SubviewRenderTargetBuilder
function SubviewPrimitive:GetRenderTargetBuilder() end


---@type IXPrimitiveBase
SubviewPrimitive.pPrimitive = {}


---@type XEActorComponent 如果primitive来源于actorcomponent,可以指明
SubviewPrimitive.pActorComponentSource = {}


---@type XESubviewAgent subview 逻辑图元代理（用于反向关系查找 ）
SubviewPrimitive.pSubviewAgent = {}


---@type XEWorld 所在世界
SubviewPrimitive.pWorld = {}


---@type SubviewRenderTargetBuilder
SubviewPrimitive.pRenderTargetBuilder = {}


---@type IXMaterialInstance 作为持有体时，指定该Subview中的渲染纹理所在的材质实例
SubviewPrimitive.pMaterialInstance = {}


---@type string[]
SubviewPrimitive.aMaterialInsTextureParamNames = {}


---@type number
SubviewPrimitive.attrBits = 0


---@type XSubviewParamDesc
SubviewPrimitive.subViewParamDesc = {}


---@type string 子视图别名
SubviewPrimitive.strSubviewAlias = ''


---@class SubviewRenderTargetBuilder
SubviewRenderTargetBuilder = {}


---@public 为子视图的图元持有体安装子视图场景构建器
---@param subviewParamDesc  XSubviewParamDesc
---@return boolean
function SubviewRenderTargetBuilder:SetupSubview(subviewParamDesc) end


---@public 接受引擎图元在内部创建的子视图场景参数, 调用此函数时，该构建器所建子视图场景将被释放
---@param strSubviewName string
---@return void
function SubviewRenderTargetBuilder:SetupSubview(strSubviewName) end


---@public 为子视图的图元持有体安装子视图的填充背景纹理参数
---@param param  XSubviewBackgroundFillParam
---@return boolean
function SubviewRenderTargetBuilder:SetSubviewBackgroundFillParam(param) end


---@public 注册一次当前图元
---@param subviewParamDesc  XSubviewParamDesc
---@return void
function SubviewRenderTargetBuilder:RegisterPrimitivesToScene(subviewParamDesc) end


---@public 获取子视图的渲染纹理，内部管理，无需在外部释放
---@return IXTexture
function SubviewRenderTargetBuilder:GetRenderTexture() end


---@public 释放子视图的渲染纹理
---@return void
function SubviewRenderTargetBuilder:ReleaseRenderTexture() end


---@public 释放子视图名称
---@return string
function SubviewRenderTargetBuilder:GetRenderTextureName() end


---@public 释放subview场景资源
---@return void
function SubviewRenderTargetBuilder:ReleaseSubviewScene() end


---@public 是否已经存在sub-view渲染对象
---@return boolean
function SubviewRenderTargetBuilder:HasSubView() end


---@public 获取subview param, 在这里注册一次图元
---@return XSubViewParam
function SubviewRenderTargetBuilder:GetSubViewParam() end


---@class XESubview
XESubview = {}


---@public XESubview_new00
---@return XESubview
function XESubview:new() end


---@public 将子视图绑定到一个SubviewPrimitive上，并在此primitive上安装渲染子视图
---@param sp  SubviewPrimitive
---@return boolean
function XESubview:BindHolder(sp) end


---@public 取消绑定
---@return boolean
function XESubview:UnbindHolder() end


---@public 设置子视图绑定体的材质实例
---@param pMaterialIns IXMaterialInstance
---@return void
function XESubview:SetupMaterialInstance(pMaterialIns) end


---@public 设置子视图绑定体的材质实例受影响的纹理参数名称
---@param strTexParamName string
---@return void
function XESubview:AddAffectTextureParamName(strTexParamName) end


---@public 是否绑定到一个持有体
---@param sp  SubviewPrimitive
---@return boolean
function XESubview:IsBindToHolder(sp) end


---@public 获取持有体Primitive
---@return SubviewPrimitive
function XESubview:GetSubviewPrimitiveHolder() end


---@public 是否存在subview结构图元
---@param sp  SubviewPrimitive
---@return boolean
function XESubview:HasPrimitive(sp) end


---@public 添加新的图元，当子视图中图元发生变化时，指明是否应重新安装
---@param sp  SubviewPrimitive
---@param bRestepSubview boolean
---@return void
function XESubview:AddPrimitive(sp, bRestepSubview) end


---@public 获得一个子视图客体
---@param nIndex number
---@return SubviewPrimitive
function XESubview:GetSubviewPrimitiveGuest(nIndex) end


---@public 删除图元，当子视图中图元发生变化时，应指是否重新安装
---@param sp  SubviewPrimitive
---@param bRestepSubview boolean
---@return boolean
function XESubview:RemovePrimitive(sp, bRestepSubview) end


---@public 按索引删除图元，当子视图中图元发生变化时，应指是否重新安装
---@param nIndex number
---@param bRestepSubview boolean
---@return boolean
function XESubview:RemovePrimitive(nIndex, bRestepSubview) end


---@public 重新安装图元，当子视图中图元发生变化时，应重新安装
---@return boolean
function XESubview:ResetupSubview() end


---@public 重新子视图中的背景纹理
---@return boolean
function XESubview:ResetupSubviewBgTexture() end


---@public 更新一次渲染图元， 并更新入Subview渲染场景中
---@return void
function XESubview:ResetupRenderPrimitives() end


---@public 从当前绑定视口中更新设备参数,如宽高,相机,灯光
---@return boolean
function XESubview:UpdateFromViewport() end


---@public 释放资源
---@return void
function XESubview:Release() end


---@public 构建一个子视图的相机对象，参数来源于输入相机对象pCameraSource
---@param pCameraSource XBaseCamera
---@return boolean
function XESubview:BuildInnerCamera(pCameraSource) end


---@public 释放内部相机对象，并更新子视图
---@return void
function XESubview:ReleaseInnerCamera() end


---@public 获取子视图的绑定相机(不区分是否为内部)
---@return XBaseCamera
function XESubview:GetCamera() end


---@public 获取子视图的内部相机对象
---@return XBaseCamera
function XESubview:GetInnerCamera() end


---@public 获取子视图的相机是否为内部相机
---@return boolean
function XESubview:IsSubviewCameraTheInnerOne() end


---@public 设置子视图引用的外部相机（由于是外部引用，请保证灯光对象的有效性）,并进行子视图重绘
---@param pCamera XBaseCamera
---@return boolean
function XESubview:SetSubviewCamera(pCamera) end


---@public 添加子视图引用的外部灯光（重复不添加，由于是外部引用，请保证灯光对象的有效性）
---@param pLight IXLightBase
---@param bResetupSubview boolean
---@return void
function XESubview:AddSubviewLight(pLight, bResetupSubview) end


---@public 根据子视图中的引擎图元试图配置子视图图元代理
---@param pEnginePri IXPrimitiveBase
---@return XESubviewAgent
function XESubview:GetSubviewAgentForEnginePrimitive(pEnginePri) end


---@public 获取子视图的引擎对象描述
---@return XSubviewParamDesc
function XESubview:GetSubviewParamDesc() end


---@public 获取当前子视图所有客体
---@return SubviewPrimitive[]
function XESubview:GetSubviewPrimitiveGuests() end


---@public XESubview_GetRenderTargetBuilder00
---@return SubviewRenderTargetBuilder
function XESubview:GetRenderTargetBuilder() end


---@public 获取Subview的实际名称
---@return string
function XESubview:GetName() end


---@public 获取subview的别名
---@return string
function XESubview:GetAliasName() end


