---@class XETexMaterialRenderable : IXPrimitiveBase
XETexMaterialRenderable = {}


---@public XETexMaterialRenderable_new00
---@return XETexMaterialRenderable
function XETexMaterialRenderable:new() end


---@public XETexMaterialRenderable_SetupMaterialParameter00
---@param priRenderParam  XPriRenderParam
---@return boolean
function XETexMaterialRenderable:SetupMaterialParameter(priRenderParam) end


---@public XETexMaterialRenderable_BuildMaterialIns00
---@param szMaterialFile string
---@param szReplaceShaderMacro string
---@return boolean
function XETexMaterialRenderable:BuildMaterialIns(szMaterialFile, szReplaceShaderMacro) end


---@public XETexMaterialRenderable_SetMacroEnable00
---@param szShaderMacro string
---@param bEnable boolean
---@return boolean
function XETexMaterialRenderable:SetMacroEnable(szShaderMacro, bEnable) end


---@type number @enum eWVPType
XETexMaterialRenderable.WVP_FIXED = 0


---@type number @enum eWVPType
XETexMaterialRenderable.WVP_CAMERA = 0


---@type number @enum eWVPType
XETexMaterialRenderable.WVP_CUSTOM = 0


---@public XETexMaterialRenderable_SetWVPType00
---@param type number
---@return void
function XETexMaterialRenderable:SetWVPType(type) end


---@public XETexMaterialRenderable_GetWVPType00
---@return number
function XETexMaterialRenderable:GetWVPType() end


---@public XETexMaterialRenderable_ProvideTexture2D00
---@return IXTexture2D
function XETexMaterialRenderable:ProvideTexture2D() end


---@public XETexMaterialRenderable_ProvideWVPMatrix00
---@param pBaseCamera  XBaseCamera
---@return XMATRIX4
function XETexMaterialRenderable:ProvideWVPMatrix(pBaseCamera) end


---@public XETexMaterialRenderable_ProvideRenderPrimitiveNum00
---@return number
function XETexMaterialRenderable:ProvideRenderPrimitiveNum() end


---@public XETexMaterialRenderable_ProvideVertexDesc00
---@return IXVertexDesc
function XETexMaterialRenderable:ProvideVertexDesc() end


---@public XETexMaterialRenderable_GetVB00
---@return IXVertexBuffer
function XETexMaterialRenderable:GetVB() end


---@public XETexMaterialRenderable_GetIB00
---@return IXIndexBuffer
function XETexMaterialRenderable:GetIB() end


