---物理关节的属性节点
---编辑关节的物理属性
---@class XEPhysicsConstraintInstance : XEUserNodeInstance
XEPhysicsConstraintInstance = {}


---@public XEPhysicsConstraintInstance_new00
---@param pConstraintTemp XEPhysicsConstraint
---@return XEPhysicsConstraintInstance
function XEPhysicsConstraintInstance:new(pConstraintTemp) end


---@public 获取物理关节的节点模板
---@return XEPhysicsConstraint 物理关节的节点模板
function XEPhysicsConstraintInstance:GetPhysicsConstraintTemplate() end


---@public 重新创建一个物理骨骼的实例
---@return void
function XEPhysicsConstraintInstance:ReCreateSkeletalPhysicsInstance() end


---@public 当前的关节是否被选中
---@param bSelected boolean 是否被选中.
---@return void
function XEPhysicsConstraintInstance:SetSelected(bSelected) end


---@public 获取当前是否是被选中的状态
---@return boolean 返回当前是否是被选中的状态
function XEPhysicsConstraintInstance:IsSelected() end


---@public 获取当前关节的大小
---@return number 关节的大小
function XEPhysicsConstraintInstance:GetConstraintSize() end


---@public 设置当前关节的大小
---@param fSize number 要设置的关节大小
---@return void
function XEPhysicsConstraintInstance:SetConstraintSize(fSize) end


