---@class XEPhysicsSkeletalRootInstance : XEUserNodeInstance
XEPhysicsSkeletalRootInstance = {}


---@public XEPhysicsSkeletalRootInstance_new00
---@param pRoot XEPhysicsSkeletalRoot
---@return XEPhysicsSkeletalRootInstance
function XEPhysicsSkeletalRootInstance:new(pRoot) end


---@public 获取根节点模板
---@return XEPhysicsSkeletalRoot
function XEPhysicsSkeletalRootInstance:GetRootTemplate() end


---@public 移除物理节点的实例
---@param pNode XEUserNodeInstance 节点实例指针
---@param bIncludeChild boolean 是否拥有子节点
---@param bReleaseMemory boolean 是否释放内存
---@param bReleaseNodes boolean 是否移除节点
---@return void
function XEPhysicsSkeletalRootInstance:RemovePhysicsNodeInstance(pNode, bIncludeChild, bReleaseMemory, bReleaseNodes) end


---@public 设置当前绑定的组件
---@param pComponent XEModelComponent 模型组件指针
---@return void
function XEPhysicsSkeletalRootInstance:SetAttachComponnet(pComponent) end


---@public 获取当前绑定的组件
---@return XEModelComponent 模型组件指针
function XEPhysicsSkeletalRootInstance:GetAttachComponnet() end


---@public 重新创建骨骼物理实例
---@param bIsModify boolean 设置是否有改动
---@return boolean 是否成功创建物理实例
function XEPhysicsSkeletalRootInstance:ReCreatePhysicsInstance(bIsModify) end


