---@class XEScriptInstance : XEUserNodeInstance
XEScriptInstance = {}


---@public XEScriptInstance_new00
---@param pNodeTl XEScript
---@return XEScriptInstance
function XEScriptInstance:new(pNodeTl) end


---@public 执行脚本
---@return boolean
function XEScriptInstance:Execute() end


---@public 获取脚本实例对应的模板指针
---@return XEScript
function XEScriptInstance:GetScriptTemplate() end


---@public 记录Holder,函数内部会自动转换成具体的Holder类型指针
---@param pHolder userdata
---@return boolean
function XEScriptInstance:AcceptHolder(pHolder) end


---@public 获取脚本容器实例指针
---@return XEScriptContainerInstance
function XEScriptInstance:GetScriptContainerInstance() end


---@public Entrance脚本响应函数
---@return boolean
function XEScriptInstance:OnHolderEntrance() end


---@public Release脚本响应函数
---@return boolean
function XEScriptInstance:OnHolderRelease() end


---@public Tick脚本响应函数
---@param fIntervalMs number Tick间隔
---@return boolean
function XEScriptInstance:OnHolderTick(fIntervalMs) end


---@public Render脚本响应函数
---@param pViewport XEViewport Viewport指针
---@return boolean
function XEScriptInstance:OnHolderRender(pViewport) end


---@public Trigger脚本响应函数
---@param bTrigger boolean 是否Trigger
---@return boolean
function XEScriptInstance:OnHolderTigger(bTrigger) end


---@public 获取Holder指针
---@return userdata
function XEScriptInstance:GetHolder() end


---@public 如果Holder是XEWorld类型，返回World指针
---@return XEWorld
function XEScriptInstance:GetHolderWorld() end


---@public 如果Holder是XEActor类型，返回Actor指针
---@return XEActor
function XEScriptInstance:GetHolderActor() end


---@public 如果Holder是XEActorComponent类型，返回ActorComponent指针
---@return XEActorComponent
function XEScriptInstance:GetHolderActorComponent() end


---@public 如果Holder是XEUserNode类型，返回XEUserNode指针
---@return XEUserNode
function XEScriptInstance:GetHolderUserNode() end


---@public 如果Holder是XEPatchGraphNode类型，返回XEPatchGraphNode指针
---@return XEPatchGraphNode
function XEScriptInstance:GetHolderGraphNode() end


---@public 如果Holder是XELevel类型，返回Level指针
---@return XELevel
function XEScriptInstance:GetHolderLevel() end


---@public 获取Holder类型名称字符串 , bDerivedNamePassed 指明是否获取该对象的直接类类名
---@param bDerivedNamePassed boolean
---@return string
function XEScriptInstance:GetHolderTypeName(bDerivedNamePassed) end


---@public 获取Holder类型
---@return number
function XEScriptInstance:GetHolderType() end


---@public 获取分配的Id
---@return number
function XEScriptInstance:GetAssignedID() end


