---@class XESeqBindingActorLight : XESeqBindingActor
XESeqBindingActorLight = {}


---@public XESeqBindingActorLight_new00
---@return XESeqBindingActorLight
function XESeqBindingActorLight:new() end


---@public 创建灯光组件轨道
---@param pNodeMgr XETreeNode::Manager 节点管理器
---@param ActorType string Actor类型
---@return XETrackBase 新创建的轨道指针
function XESeqBindingActorLight:SetupComponentTrack(pNodeMgr, ActorType) end


---@public 创建灯光颜色轨道
---@param pNodeMgr XETreeNode::Manager 节点管理器
---@param pBase XETrackBase 父轨道
---@return XETrackBase 新创建的轨道指针
function XESeqBindingActorLight:SetupColorTrack(pNodeMgr, pBase) end


---@public 设置激活状态
---@param bActive boolean
---@return void
function XESeqBindingActorLight:SetActive(bActive) end


---@public 获取Actor类型名
---@return string
function XESeqBindingActorLight:GetActorType() end


