---@class XEUIAnimationInstance : XEUIAnimBaseInstance
XEUIAnimationInstance = {}


---@public 获取对应模板指针
---@return XEUIAnimation
function XEUIAnimationInstance:GetUIAnimationTemplate() end


---@public 绑定一个UISceneActor
---@param _pActor XEUISceneActor
---@return void
function XEUIAnimationInstance:AcceptUISceneActor(_pActor) end


---@public XEUIAnimationInstance_GetUISceneActor00
---@return XEUISceneActor
function XEUIAnimationInstance:GetUISceneActor() end


---@public 关联UISceneComponent 后UINode会设置为UIScene
---@param _pComponent XEUISceneComponent
---@return void
function XEUIAnimationInstance:AcceptUISceneComponent(_pComponent) end


---@public XEUIAnimationInstance_GetUISceneComponent00
---@return XEUISceneComponent
function XEUIAnimationInstance:GetUISceneComponent() end


---@public 把关卡指针设置给节点管理器
---@param pLevel XELevel
---@return void
function XEUIAnimationInstance:AcceptLevel(pLevel) end


---@public 从节点管理器中取到关联的关卡指针
---@return XELevel
function XEUIAnimationInstance:GetLevel() end


---@public 从节点管理器中取到关联的世界指针
---@return XEWorld
function XEUIAnimationInstance:GetWorld() end


---@public 释放所有BindingActor的动画资源
---@return void
function XEUIAnimationInstance:ReleaseAllAnimResources() end


---@public 关联、获取UI节点
---@return XUINode
function XEUIAnimationInstance:GetBingdingUINode() end


---@public XEUIAnimationInstance_AcceptUINode00
---@param _pNode XUINode
---@return void
function XEUIAnimationInstance:AcceptUINode(_pNode) end


---@public 获取动画播放控制器
---@return XEUIAnimController 动画播放控制器指针
function XEUIAnimationInstance:GetUIAnimController() end


