---@class FaceTracking : MobileActionCfgBase
FaceTracking = {}


---@public FaceTracking_new00
---@return FaceTracking
function FaceTracking:new() end


---@type string tracking or position
FaceTracking.m_szShowAction = ''


---@class StandbyAnimation : MobileActionCfgBase
StandbyAnimation = {}


---@public StandbyAnimation_new00
---@return StandbyAnimation
function StandbyAnimation:new() end


---@public StandbyAnimation_GetUnUsedAnimation00
---@param animList string[]
---@param pPlayList XEAnimComponentPlayList
---@return number
function StandbyAnimation:GetUnUsedAnimation(animList, pPlayList) end


---@type string[]
StandbyAnimation.m_StandbyAnimation = {}


---@class FaceExpression : MobileActionCfgBase
FaceExpression = {}


---@public FaceExpression_new00
---@return FaceExpression
function FaceExpression:new() end


---@type number the face-expression code.
FaceExpression.m_nTriggerType = 0


---@type number animation-expression binding.
FaceExpression.m_nAnimationIndex = 0


---@type number 动画播放模式
FaceExpression.m_nAnimPlayMode = 0


---@type number 触发显示还是隐藏
FaceExpression.m_nTriggerEffectType = 0


---@type boolean 是否重置触发状态
FaceExpression.m_bResetTriggerState = false


---@class GestureExpression : MobileActionCfgBase
GestureExpression = {}


---@public GestureExpression_new00
---@return GestureExpression
function GestureExpression:new() end


---@type number
GestureExpression.m_fScroeThread = 0


---@type number may be multi?
GestureExpression.m_nIndex = 0


---@type string
GestureExpression.m_strGestureName = ''


---@type number animation-expression binding.
GestureExpression.m_nAnimationIndex = 0


---@type number 动画播放模式
GestureExpression.m_nAnimPlayMode = 0


---@type number 触发显示还是隐藏
GestureExpression.m_nTriggerEffectType = 0


---@type boolean 是否重置触发状态
GestureExpression.m_bResetTriggerState = false


---@class SpinchToScale : MobileActionCfgBase
SpinchToScale = {}


---@public SpinchToScale_new00
---@return SpinchToScale
function SpinchToScale:new() end


---@type number
SpinchToScale.m_fMaxScale = 0


---@type number
SpinchToScale.m_fMinScale = 0


---@class PressToDrag : MobileActionCfgBase
PressToDrag = {}


---@public PressToDrag_new00
---@return PressToDrag
function PressToDrag:new() end


---@type number
PressToDrag.m_fdistance = 0


---@class TapToPlace : MobileActionCfgBase
TapToPlace = {}


---@public TapToPlace_new00
---@return TapToPlace
function TapToPlace:new() end


---@type number
TapToPlace.m_fdistance = 0


---@class TapToPlay : MobileActionCfgBase
TapToPlay = {}


---@public TapToPlay_new00
---@return TapToPlay
function TapToPlay:new() end


---@type number animation-expression binding.
TapToPlay.m_nAnimationIndex = 0


---@type number 动画播放模式
TapToPlay.m_nAnimPlayMode = 0


---@class AnimDataBackup : DataBackupBase
AnimDataBackup = {}


---@public AnimDataBackup_new00
---@return AnimDataBackup
function AnimDataBackup:new() end


---@public AnimDataBackup_GetDataBackTypeName00
---@return string
function AnimDataBackup:GetDataBackTypeName() end


---@type boolean
AnimDataBackup.m_bIsPlaying = false


---@type boolean
AnimDataBackup.m_bIsLoop = false


---@class ModelAnimDataBackup : AnimDataBackup
ModelAnimDataBackup = {}


---@public ModelAnimDataBackup_new00
---@return ModelAnimDataBackup
function ModelAnimDataBackup:new() end


---@public ModelAnimDataBackup_GetDataBackTypeName00
---@return string
function ModelAnimDataBackup:GetDataBackTypeName() end


---@type number
ModelAnimDataBackup.m_nAnimIndex = 0


---@class XEParamExtendMobileUtilConfig : IXEExtendParam
XEParamExtendMobileUtilConfig = {}


---@type number @enum 
XEParamExtendMobileUtilConfig.PARAM_MOBILE_ACTION_ADD = 0


---@type number @enum 
XEParamExtendMobileUtilConfig.PARAM_MOBILE_ACTION_ITEM_START = 0


---@public XEParamExtendMobileUtilConfig_new00
---@return XEParamExtendMobileUtilConfig
function XEParamExtendMobileUtilConfig:new() end


---@public XEParamExtendMobileUtilConfig_GetParamName00
---@return string
function XEParamExtendMobileUtilConfig:GetParamName() end


---@public XEParamExtendMobileUtilConfig_HasActionCfg00
---@param szActionType string
---@return boolean
function XEParamExtendMobileUtilConfig:HasActionCfg(szActionType) end


---@public XEParamExtendMobileUtilConfig_AddActionCfg00
---@param szActionType string
---@return boolean
function XEParamExtendMobileUtilConfig:AddActionCfg(szActionType) end


---@public XEParamExtendMobileUtilConfig_RemoveActionCfg00
---@param szActionType string
---@return boolean
function XEParamExtendMobileUtilConfig:RemoveActionCfg(szActionType) end


---@public XEParamExtendMobileUtilConfig_GetActionCfg00
---@param szActionType string
---@return MobileActionCfgBase
function XEParamExtendMobileUtilConfig:GetActionCfg(szActionType) end


---@public XEParamExtendMobileUtilConfig_ActOnTapEvent00
---@param pActor XEActor
---@return void
function XEParamExtendMobileUtilConfig:ActOnTapEvent(pActor) end


---@public XEParamExtendMobileUtilConfig_SetCallBackResetTriggerData00
---@param callback CallBackResetTriggerData
---@return void
function XEParamExtendMobileUtilConfig:SetCallBackResetTriggerData(callback) end


