---@class XEImgSequenceFrameActorBase : XEMagicCoreActorBase
XEImgSequenceFrameActorBase = {}


---@public XEImgSequenceFrameActorBase_new00
---@return XEImgSequenceFrameActorBase
function XEImgSequenceFrameActorBase:new() end


---@public XEImgSequenceFrameActorBase_GetTypeName00
---@return string
function XEImgSequenceFrameActorBase:GetTypeName() end


---@public 设置旋转角度
---@param fRotateDegree number
---@return void
function XEImgSequenceFrameActorBase:SetRotateScreen(fRotateDegree) end


---@public 获取旋转角度
---@return number
function XEImgSequenceFrameActorBase:GetRotateScreen() end


---@public 设置缩放值
---@param vScale XVECTOR2
---@return void
function XEImgSequenceFrameActorBase:SetScaleScreen(vScale) end


---@public 获取缩放值
---@return XVECTOR2
function XEImgSequenceFrameActorBase:GetScaleScreen() end


---@public 设置屏幕空间坐标（屏幕中心点为坐标原点，水平向右为正，竖直向上为正）
---@param vLoc XVECTOR2
---@return void
function XEImgSequenceFrameActorBase:SetLocationScreen(vLoc) end


---@public 获取屏幕空间坐标
---@return XVECTOR2
function XEImgSequenceFrameActorBase:GetLocationScreen() end


---@public 是否启用了抠图
---@return boolean
function XEImgSequenceFrameActorBase:IsSegmentationEnable() end


---@public 是否启用了手势识别
---@return boolean
function XEImgSequenceFrameActorBase:IsObjectDetectEnable() end


---@type string @readonly 
XEImgSequenceFrameActorBase.ACTOR_TYPENAME = ''


---是否启用了手势识别
---Note:此类Actor只能Attach到XEFaceTrackerActor 和 XEImg2DScreenSequenceFrameActor上，
---不支持附加到其他类型Actor.
---@class XEImg2DScreenSequenceFrameActor : XEImgSequenceFrameActorBase
XEImg2DScreenSequenceFrameActor = {}


---@public XEImg2DScreenSequenceFrameActor_new00
---@return XEImg2DScreenSequenceFrameActor
function XEImg2DScreenSequenceFrameActor:new() end


---@public XEImg2DScreenSequenceFrameActor_GetTypeName00
---@return string
function XEImg2DScreenSequenceFrameActor:GetTypeName() end


---@public XEImg2DScreenSequenceFrameActor_GetActorShortName00
---@return string
function XEImg2DScreenSequenceFrameActor:GetActorShortName() end


---@type string @readonly 
XEImg2DScreenSequenceFrameActor.ACTOR_TYPENAME = ''


---@type string @readonly 
XEImg2DScreenSequenceFrameActor.ACTOR_SHORT_NAME = ''


