---可应用于滤镜节点图的3D纹理组件，在引擎的渲染流程内进行滤镜效果应用
---对应XEImg3DFilterActor
---@class XEImg3DFilterComponent : XE3DTextureComponent
XEImg3DFilterComponent = {}


---@public XEImg3DFilterComponent_new00
---@return XEImg3DFilterComponent
function XEImg3DFilterComponent:new() end


---@public 设置纹理的渲染模式
---@param tm XEFilterUtility::eFilterImgTexMode
---@return void
function XEImg3DFilterComponent:SetTextureMode(tm) end


---@public 获取纹理的渲染模式
---@return XEFilterUtility__eFilterImgTexMode
function XEImg3DFilterComponent:GetTextureMode() end


---@public 使滤镜节点生效
---@return void
function XEImg3DFilterComponent:TakeEffectForFilterNode() end


---@public 设置背景是否拷贝并渲染
---@param bEnable boolean
---@return void
function XEImg3DFilterComponent:SetCopyBackgroundForRendering(bEnable) end


---@public 背景是否作为拷贝渲染
---@return boolean
function XEImg3DFilterComponent:IsCopyBackgroundForRendering() end


---@public 获取滤镜单元注入对象
---@return XEFilterUnitInjector
function XEImg3DFilterComponent:GetFilterUnitInjector() end


---@type string @readonly Component 类型名
XEImg3DFilterComponent.COMPONENT_TYPENAME = ''


