---@class XEImgFaceTrackerComponent : XEActorComponent
XEImgFaceTrackerComponent = {}


---@public XEImgFaceTrackerComponent_new00
---@return XEImgFaceTrackerComponent
function XEImgFaceTrackerComponent:new() end


---@public XEImgFaceTrackerComponent_GetTypeName00
---@return string
function XEImgFaceTrackerComponent:GetTypeName() end


---@type string @readonly 
XEImgFaceTrackerComponent.COMPONENT_TYPENAME = ''


---@public 重新初始化顶点内存
---@param nFacePointNum number
---@return boolean
function XEImgFaceTrackerComponent:RebuildVertexInfo(nFacePointNum) end


---@public 获取原始landmark坐标，按照x1,x2..y1,y2顺序排列
---@return number[] 原始landmark坐标
function XEImgFaceTrackerComponent:GetOriginLandmarkCache() end


---@public 获取变形后landmark坐标，按照x1,x2..y1,y2顺序排列
---@return number[] 原始landmark坐标
function XEImgFaceTrackerComponent:GetShapeLandmarkCache() end


---@public 获取视口指针
---@return XViewport
function XEImgFaceTrackerComponent:GetXViewport() end


---@public 将屏幕坐标单位化到[0,1]
---@param vVertex XVECTOR2
---@param nWidth number
---@param nHeight number
---@return void
function XEImgFaceTrackerComponent:NormalizeVertex(vVertex, nWidth, nHeight) end


---@public 设置是否检测到人脸
---@param bDetectedFace boolean
---@return void
function XEImgFaceTrackerComponent:SetDetectedFace(bDetectedFace) end


---@public 是否检测到人脸
---@return boolean
function XEImgFaceTrackerComponent:IsDetectedFace() end


---@public 获取基于人脸关键点坐标计算的纹理坐标列表
---@return XVECTOR2[]
function XEImgFaceTrackerComponent:GetTexcoords() end


---@public 获取人脸关键点数量
---@return number
function XEImgFaceTrackerComponent:GetVertexNum() end


---@public 获取渲染的索引数量
---@return number
function XEImgFaceTrackerComponent:GetIndexNum() end


---@public 获取渲染的索引列表
---@return userdata
function XEImgFaceTrackerComponent:GetIndexList() end


---@public 获取渲染的索引列表
---@param aIndexList number[]
---@return void
function XEImgFaceTrackerComponent:GetIndexList(aIndexList) end


---@public 填充顶点描述信息
---@param bUpdate boolean
---@return IXVertexDesc
function XEImgFaceTrackerComponent:ProvideVertexDesc(bUpdate) end


---@public 获取顶点缓冲
---@param bUpdate boolean
---@return IXVertexBuffer
function XEImgFaceTrackerComponent:GetVB(bUpdate) end


---@public 获取索引缓冲
---@param bUpdate boolean
---@return IXIndexBuffer
function XEImgFaceTrackerComponent:GetIB(bUpdate) end


