---@class XEFaceVertexDataUpdater
XEFaceVertexDataUpdater = {}


---@public XEFaceVertexDataUpdater_new00
---@return XEFaceVertexDataUpdater
function XEFaceVertexDataUpdater:new() end


---@public XEFaceVertexDataUpdater_ReleaseData00
---@return void
function XEFaceVertexDataUpdater:ReleaseData() end


---@public XEFaceVertexDataUpdater_GenerateVertexDesc00
---@param pCmp XEImgFaceTrackerComponent
---@return IXVertexDesc
function XEFaceVertexDataUpdater:GenerateVertexDesc(pCmp) end


---@public XEFaceVertexDataUpdater_GenerateVBInfo00
---@param pCmp XEImgFaceTrackerComponent
---@return IXVertexBuffer
function XEFaceVertexDataUpdater:GenerateVBInfo(pCmp) end


---@public XEFaceVertexDataUpdater_GenerateIBInfo00
---@param pCmp XEImgFaceTrackerComponent
---@return IXIndexBuffer
function XEFaceVertexDataUpdater:GenerateIBInfo(pCmp) end


---@public XEFaceVertexDataUpdater_HasCustomFaceUV00
---@return boolean
function XEFaceVertexDataUpdater:HasCustomFaceUV() end


---@public ****************************************************************************
---/
---@param aUVs XVECTOR2[] UV坐标（每个元素是XVECTOR2）
---@return void
function XEFaceVertexDataUpdater:UpdateTextureUV(aUVs) end


---@public ****************************************************************************
---/
---@param aUVs number[] UV坐标,坐标排列顺序为u1,v1,u2,v2...
---@param bUV boolean
---@return void
function XEFaceVertexDataUpdater:UpdateTextureUV(aUVs, bUV) end


---@public XEFaceVertexDataUpdater_ClearTextureUV00
---@return void
function XEFaceVertexDataUpdater:ClearTextureUV() end


---@public XEFaceVertexDataUpdater_IsEnableUpdateVB00
---@return boolean
function XEFaceVertexDataUpdater:IsEnableUpdateVB() end


---@public XEFaceVertexDataUpdater_SetEnableUpdateVB00
---@param bEnable boolean
---@return void
function XEFaceVertexDataUpdater:SetEnableUpdateVB(bEnable) end


