---@class XETexSegmentationMask : XEMagicCore__FxListener
XETexSegmentationMask = {}


---@type number @enum eBlendMaskOption
XETexSegmentationMask.BMO_NOT_SET = 0


---@type number @enum eBlendMaskOption
XETexSegmentationMask.BMO_BLEND_COLOR = 0


---@type number @enum eBlendMaskOption enable blend diffuse texture
XETexSegmentationMask.BMO_BLEND_DIFFUSE_TEXTURE = 0


---@type number @enum eBlendMaskOption inverse mask-texture
XETexSegmentationMask.BMO_BLEND_MASK_TEXTURE_INVERSE = 0


---@type number @enum eBlendMaskOption
XETexSegmentationMask.BMO_BLEND_MASK_TEXTURE_ENABLE = 0


---@type number @enum eBlendMaskOption flip u for mask-texture.
XETexSegmentationMask.BMO_BLEND_MASK_TEXTURE_U_FLIP = 0


---@type number @enum eBlendMaskOption flip v for mask-texture.
XETexSegmentationMask.BMO_BLEND_MASK_TEXTURE_V_FLIP = 0


---@type number @enum eBlendMaskOption indicate whether the mask texture is in the same texture space with the diffuse one.
XETexSegmentationMask.BMO_BLEND_MASK_IN_TEXTURE_SPACE = 0


---@public XETexSegmentationMask_SetBlendColorEnable00
---@param bEnable boolean
---@return void
function XETexSegmentationMask:SetBlendColorEnable(bEnable) end


---@public XETexSegmentationMask_SetBlendDiffuseTextureEnable00
---@param bEnable boolean
---@return void
function XETexSegmentationMask:SetBlendDiffuseTextureEnable(bEnable) end


---@public XETexSegmentationMask_SetBlendMaskTextureVFlip00
---@param bSet boolean
---@return void
function XETexSegmentationMask:SetBlendMaskTextureVFlip(bSet) end


---@public XETexSegmentationMask_SetBlendMaskInTextureSpace00
---@param bSet boolean
---@return void
function XETexSegmentationMask:SetBlendMaskInTextureSpace(bSet) end


---@public XETexSegmentationMask_SetBlendMaskTextureInverse00
---@param bInverse boolean
---@return void
function XETexSegmentationMask:SetBlendMaskTextureInverse(bInverse) end


---@public XETexSegmentationMask_SetBlendMaskTextureEnable00
---@param bEnable boolean
---@return void
function XETexSegmentationMask:SetBlendMaskTextureEnable(bEnable) end


---@public XETexSegmentationMask_SetBlendMaskTextureUFlip00
---@param bSet boolean
---@return void
function XETexSegmentationMask:SetBlendMaskTextureUFlip(bSet) end


---@public XETexSegmentationMask_GetBlendOptions00
---@return number
function XETexSegmentationMask:GetBlendOptions() end


---@public XETexSegmentationMask_IsBlendColorEnable00
---@return boolean
function XETexSegmentationMask:IsBlendColorEnable() end


---@public XETexSegmentationMask_IsBlendDiffuseTextureEnable00
---@return boolean
function XETexSegmentationMask:IsBlendDiffuseTextureEnable() end


---@public XETexSegmentationMask_IsBlendMaskTextureInverse00
---@return boolean
function XETexSegmentationMask:IsBlendMaskTextureInverse() end


---@public XETexSegmentationMask_IsBlendMaskTextureEnable00
---@return boolean
function XETexSegmentationMask:IsBlendMaskTextureEnable() end


---@public XETexSegmentationMask_IsBlendMaskTextureUFlip00
---@return boolean
function XETexSegmentationMask:IsBlendMaskTextureUFlip() end


---@public XETexSegmentationMask_IsBlendMaskTextureVFlip00
---@return boolean
function XETexSegmentationMask:IsBlendMaskTextureVFlip() end


---@public XETexSegmentationMask_IsBlendMaskInTextureSpace00
---@return boolean
function XETexSegmentationMask:IsBlendMaskInTextureSpace() end


---@public XETexSegmentationMask_SetBlendMaskTextureRect00
---@param vMaskRect XVECTOR4
---@return void
function XETexSegmentationMask:SetBlendMaskTextureRect(vMaskRect) end


---@public XETexSegmentationMask_GetBlendMaskTextureRect00
---@return XVECTOR4
function XETexSegmentationMask:GetBlendMaskTextureRect() end


---@public XETexSegmentationMask_RebuildMaskTexture00
---@param pEnvBridge XEDecorationEnvBridgeBase
---@return boolean
function XETexSegmentationMask:RebuildMaskTexture(pEnvBridge) end


