---@class XPerspectiveCamera : XBaseCamera
XPerspectiveCamera = {}


---@public XPerspectiveCamera_new00
---@return XPerspectiveCamera
function XPerspectiveCamera:new() end


---@public 初始化相机
---@return boolean 是否初始化成功.
function XPerspectiveCamera:Init() end


---@public XPerspectiveCamera_Init01
---@param fFov number
---@param fZNear number
---@param fZFar number
---@param fRatio number
---@return boolean
function XPerspectiveCamera:Init(fFov, fZNear, fZFar, fRatio) end


---@public 释放资源
---@return void
function XPerspectiveCamera:Release() end


---@public 判断当前相机是否是透视投影相机
---@return boolean 如果是，返回xtrue,否则,返回xfalse.
function XPerspectiveCamera:IsPerspective() end


---@public 判断当前相机是否是正交投影相机
---@return boolean 如果是，返回xtrue,否则,返回xfalse.
function XPerspectiveCamera:IsOrthogonal() end


---@public 设置当前相机的视场角
---@param fFOV number 视场角
---@return void
function XPerspectiveCamera:SetFOV(fFOV) end


---@public 获取当前相机的视场角
---@return number 视场角
function XPerspectiveCamera:GetFOV() end


---@public 获取当前相机视口的宽高比
---@return number 视口的宽高比
function XPerspectiveCamera:GetRatio() end


---@public 设置当前相机的参数信息
---@param fFOV number 视场角
---@param fZNear number 透视投影视椎体的近平面到相机的距离
---@param fZFar number 透视投影视椎体的远平面到相机的距离
---@param fRatio number 视口的宽高比
---@return boolean 是否设置成功
function XPerspectiveCamera:SetProjectionParam(fFOV, fZNear, fZFar, fRatio) end


---@public XPerspectiveCamera_GetProjectionParam00
---@return number
---@return number
---@return number
---@return number
---@return void
function XPerspectiveCamera:GetProjectionParam() end


