---@class IXTextureManager : XOwnerRecorder
IXTextureManager = {}


---@public IXTextureManager_CreateTexture2D00
---@param strFileName string
---@param nWidth number
---@param nHeight number
---@param eFormat XTexFormat
---@param nMipmapLevels number
---@param bDynamic boolean
---@return IXTexture2D
function IXTextureManager:CreateTexture2D(strFileName, nWidth, nHeight, eFormat, nMipmapLevels, bDynamic) end


---@public IXTextureManager_CreateTextureCube00
---@param strFileName string
---@param nEdgeLength number
---@param eFormat XTexFormat
---@param nMipmapLevels number
---@param bDynamic boolean
---@return IXTextureCube
function IXTextureManager:CreateTextureCube(strFileName, nEdgeLength, eFormat, nMipmapLevels, bDynamic) end


---@public IXTextureManager_CreateRenderTarget00
---@param strRTName string
---@param nWidth number
---@param nHeight number
---@param eFmt XTexFormat
---@param bCPUCanRead boolean
---@return IXRenderTarget
function IXTextureManager:CreateRenderTarget(strRTName, nWidth, nHeight, eFmt, bCPUCanRead) end


---@public 加载一个纹理
---@param strFileName string
---@param nLoadFlag number
---@return IXTexture
function IXTextureManager:LoadTexture(strFileName, nLoadFlag) end


---@public 加载一个2D纹理
---@param strFileName string
---@param nLoadFlag number
---@return IXTexture2D
function IXTextureManager:LoadTexture2D(strFileName, nLoadFlag) end


---@public 加载一个立方体纹理
---@param strFileName string
---@param nLoadFlag number
---@return IXTextureCube
function IXTextureManager:LoadTextureCube(strFileName, nLoadFlag) end


