---@class IXAnimatable : XOwnerRecorder
IXAnimatable = {}


---@public 播放动画
---@return void
function IXAnimatable:Play() end


---@public 暂停播放动画
---@return void
function IXAnimatable:Pause() end


---@public 继续播放动画
---@return void
function IXAnimatable:Resume() end


---@public 判断状态是否是暂停
---@return boolean 是否是暂停状态
function IXAnimatable:IsPaused() end


---@public 获取开始时间
---@return number 开始时间
function IXAnimatable:GetStartTime() end


---@public 获取结束时间
---@return number 结束时间
function IXAnimatable:GetEndTime() end


---@public 获取当前时间
---@return number 当前时间
function IXAnimatable:GetCurrentTime() end


