---@class XAnimationSequence : IXAnimationBase
XAnimationSequence = {}


---@public 获取动画序列总长度
---@return number 动画序列总长度
function XAnimationSequence:GetTotalTime() end


---@public 设置动画序列开始时间
---@param time number 动画序列开始时间
---@return void
function XAnimationSequence:SetStartTime(time) end


---@public 设置动画序列结束时间
---@param time number 动画序列结束时间
---@return void
function XAnimationSequence:SetEndTime(time) end


---@public 设置帧速率
---@param fps number 帧速率
---@return void
function XAnimationSequence:SetFrameRate(fps) end


---@public 获取帧速率
---@return number 帧速率
function XAnimationSequence:GetFrameRate() end


