------------ 引擎预定义的全局对象 ------------

---@type IXAudioEngine version 4.4.2
_G_AudioEngine = {}

---@type XEEngineInstance
_G_EngineInstance = {}

---@type xes__Director
_G_Director = {}


------------ 引擎预定义的全局函数 ------------

---@param class_name string     类名
---@param super userdata|table  基类
function XLuaClass(class_name, super)
end

---@public 预加载lua脚本，预加载将在单独的线程执行 不占用渲染线程，加载完毕后执行回调函数，可在回调函数中进行require来执行脚本
---@param preload_list table<string> 预加载脚本
---@param callback function 回调函数
function xpreload(preload_list, callback)
end

---@public 获取当前毫秒时间
---@return number 
function getMillisecond()
end

---@public 输出错误，错误将会被自动上传到kibana
---@param ... any
function print_error(...)
end

---@public 输出警告
---@param ... any
function print_warning(...)
end

