---各种各样的事件的基类
---@class XUIEvent : XOwnerRecorder
XUIEvent = {}


---@type number @enum Type
XUIEvent.TOUCH = 0


---@type number @enum Type
XUIEvent.KEYBOARD = 0


---@type number @enum Type
XUIEvent.ACCELERATION = 0


---@type number @enum Type
XUIEvent.MOUSE = 0


---@type number @enum Type
XUIEvent.FOCUS = 0


---@type number @enum Type
XUIEvent.GAME_CONTROLLER = 0


---@type number @enum Type
XUIEvent.CUSTOM = 0


---@public XUIEvent_new00
---@param eType number
---@return XUIEvent
function XUIEvent:new(eType) end


---@public 释放当前所占用资源等
---@return void
function XUIEvent:Release() end


---@public 获取事件类型并返回
---@return number
function XUIEvent:GetType() end


---@public 停止传播当前事件
---@return void
function XUIEvent:StopPropagation() end


---@public 判断是否停止传播当前事件
---@return boolean
function XUIEvent:IsStopped() end


---@public 获取当前节点指针
---@return XUINode
function XUIEvent:GetCurrentNode() end


