---UI的渲染组件基类
---@class XUIFXRenderComponent : X2DRenderComponent
XUIFXRenderComponent = {}


---@public 创建一个X2DRenderComponent渲染组件
---@param pNode XUINode 目标节点
---@return XUIFXRenderComponent 创建出的X2DRenderComponent组件
function XUIFXRenderComponent:Create(pNode) end


---@public XUIFXRenderComponent_Create01
---@return XUIFXRenderComponent
function XUIFXRenderComponent:Create() end


---@public 设置粒子路径
---@param _fxpath string 相对路径
---@return boolean
function XUIFXRenderComponent:SetFxPath(_fxpath) end


---@public 获取粒子路径
---@return string
function XUIFXRenderComponent:GetFxPath() end


---@public 设置粒子渲染顺序
---@param type number 0：显示在所有ui后边，2：显示在所有ui前边，1参与ui排序
---@return void
function XUIFXRenderComponent:SetLayer(type) end


---@public 获取粒子渲染顺序
---@return number
function XUIFXRenderComponent:GetLayer() end


---@public 设置粒子是否自动播放状态
---@param autoplay boolean
---@return void
function XUIFXRenderComponent:SetAutoPlayState(autoplay) end


---@public 获取粒子是否自动播放状态
---@return boolean
function XUIFXRenderComponent:GetAutoPlayState() end


---@public 停止粒子播放
---@param bClearNow boolean 是否立即清理
---@return void
function XUIFXRenderComponent:FxStop(bClearNow) end


---@public 暂停粒子播放
---@return void
function XUIFXRenderComponent:FxPause() end


---@public 播放粒子
---@return void
function XUIFXRenderComponent:FxPlay() end


---@public 重新播放粒子
---@return void
function XUIFXRenderComponent:FxRestart() end


---@public 判断粒子是否播放完成
---@return boolean
function XUIFXRenderComponent:FxIsCompleted() end


