---FaceRig组件
---封装处理FaceRig动画的逻辑，对应XEAnimationFaceRigActor。
---@class XEAnimatableFaceRigComponent : XEAnimatableModelComponent
XEAnimatableFaceRigComponent = {}


---@public XEAnimatableFaceRigComponent_new00
---@return XEAnimatableFaceRigComponent
function XEAnimatableFaceRigComponent:new() end


---@type string @readonly Component类型名
XEAnimatableFaceRigComponent.COMPONENT_TYPENAME = ''


---@class XEAnimatableFaceRigComponent__FaceRigAnimController : XEAnimatableModelComponent__ModelAnimController
local XEAnimatableFaceRigComponent__FaceRigAnimController = {}
XEAnimatableFaceRigComponent.FaceRigAnimController = XEAnimatableFaceRigComponent__FaceRigAnimController


---@public XEAnimatableFaceRigComponent_FaceRigAnimController_new00
---@return XEAnimatableFaceRigComponent__FaceRigAnimController
function XEAnimatableFaceRigComponent__FaceRigAnimController:new() end


---@public XEAnimatableFaceRigComponent_FaceRigAnimController_new01
---@param pModelComponent XEAnimatableModelComponent
---@return XEAnimatableFaceRigComponent__FaceRigAnimController
function XEAnimatableFaceRigComponent__FaceRigAnimController:new(pModelComponent) end


---@public 加载设置文件
---@param strFileName string 设置文件路径.
---@return void
function XEAnimatableFaceRigComponent__FaceRigAnimController:LoadSettingFile(strFileName) end


---@public 更新FaceRig参数
---@param param  FaceRigParam
---@param bClearAllBeforeApply boolean 是否清除之前的，默认是xtrue.
---@return void
function XEAnimatableFaceRigComponent__FaceRigAnimController:TickFaceRigParam(param, bClearAllBeforeApply) end


---@public 设置FaceRig的权重值
---@param fBlendWeight number 权重值.
---@return void
function XEAnimatableFaceRigComponent__FaceRigAnimController:SetFaceRigBlendWeight(fBlendWeight) end


---@public 获取FaceRig的权重值
---@return number 权重值.
function XEAnimatableFaceRigComponent__FaceRigAnimController:GetFaceRigBlendWeight() end


---@public 当没有配置骨头时，左右摆动，设置是否直接摆动模型
---@param bEnable boolean 是否直接摆动
---@return boolean
function XEAnimatableFaceRigComponent__FaceRigAnimController:SetRotateModelOfNoBoneControl(bEnable) end


---@public 当没有配置骨头时，左右摆动，是否直接摆动模型
---@return boolean 是否直接摆动
function XEAnimatableFaceRigComponent__FaceRigAnimController:GetRotateModelOfNoBoneControl() end


---@public 以覆盖的方式，将当前anim动画的，骨头控制，绑定到骨架上。
---@return boolean
function XEAnimatableFaceRigComponent__FaceRigAnimController:ReBindBoneControllerToSkinmodelInsSkeleton() end


---@public 重置FaceRigParam参数
---@return void
function XEAnimatableFaceRigComponent__FaceRigAnimController:ReSetFaceRigParam() end


---@public 去解绑骨头控制器，与skinmodel脱离关联
---@return void
function XEAnimatableFaceRigComponent__FaceRigAnimController:UnbingBoneController() end


