---此类代表UI场景的组件
---@class XEUISceneComponent : XEPrimitiveComponent
XEUISceneComponent = {}


---@public XEUISceneComponent_new00
---@return XEUISceneComponent
function XEUISceneComponent:new() end


---@manual xelua_XEngine_XEUISceneComponent_LoadAssetAsync_manual
---@public XEUISceneComponent_LoadAssetAsync_manual
---@param pPath string
---@param Delegate XEAsyncLoading::CompletionDelegate
---@return void
function XEUISceneComponent:LoadAssetAsync(pPath, Delegate) end


---@public XEUISceneComponent_GetAssetPath00
---@return string
function XEUISceneComponent:GetAssetPath() end


---@public XEUISceneComponent_GetUIAnimtionAssetPath00
---@return string
function XEUISceneComponent:GetUIAnimtionAssetPath() end


---@public XEUISceneComponent_GetScene00
---@return XUIScene
function XEUISceneComponent:GetScene() end


---@public 删除UI动画资源
---@return void
function XEUISceneComponent:Unload() end


---@public 获取动画控制器
---@return XEUIAnimationInstance 动画控制器
---@attention could be montage animation controller or model-animation controller.
function XEUISceneComponent:GetUIAnimationIns() end


---@public XEUISceneComponent_LoadAnimationAsset00
---@param pPath string
---@return boolean
function XEUISceneComponent:LoadAnimationAsset(pPath) end


---@public 设置UI渲染模式 3d or 2d
---@param xelua_var_24 XUIScene::UIRenderMode
---@return void
function XEUISceneComponent:SetRenderMode(xelua_var_24) end


---@public 设置3D模式下世界尺寸
---@param xelua_var_25 XVECTOR2
---@return void
function XEUISceneComponent:SetSize(xelua_var_25) end


---@public 设置3D模式下是否开启裁剪
---@param xelua_var_26 boolean
---@return void
function XEUISceneComponent:SetMask(xelua_var_26) end


---@public 设置3D模式下是否开启裁剪
---@param xelua_var_27 XPrimitiveLayerMask
---@return void
function XEUISceneComponent:Set3DPrimitiveLayer(xelua_var_27) end


---@public XEUISceneComponent_Get3DPrimitiveLayer00
---@return XPrimitiveLayerMask
function XEUISceneComponent:Get3DPrimitiveLayer() end


---@public XEUISceneComponent_GetMask00
---@return boolean
function XEUISceneComponent:GetMask() end


---@public XEUISceneComponent_GetSize00
---@return XVECTOR2
function XEUISceneComponent:GetSize() end


---@public XEUISceneComponent_GetRenderMode00
---@return XUIScene__UIRenderMode
function XEUISceneComponent:GetRenderMode() end


---@type string @readonly Component类型名
XEUISceneComponent.COMPONENT_TYPENAME = ''


