---Montage的通知基类对应的实例
---@class XEAnimMonNotifyInstance : XEAnimMonBaseInstance
XEAnimMonNotifyInstance = {}


---@type number @enum NotifyState
XEAnimMonNotifyInstance.NS_UNKOWN = 0


---@type number @enum NotifyState
XEAnimMonNotifyInstance.NS_LIVE_EXPLAINED = 0


---@type number @enum NotifyState
XEAnimMonNotifyInstance.NS_SILENT_EXPLAINED = 0


---@public XEAnimMonNotifyInstance_new00
---@param pNodeTl XEAnimMonNotify
---@return XEAnimMonNotifyInstance
function XEAnimMonNotifyInstance:new(pNodeTl) end


---@public 获取所有通知状态字符串数组
---@return string[]
function XEAnimMonNotifyInstance:GetNotifyStateString() end


---@public 获取当前所处的通知状态
---@return number
function XEAnimMonNotifyInstance:GetNotifyStatus() end


---@public 激活为播放状态
---@param pParam userdata
---@return void
function XEAnimMonNotifyInstance:ExplainLiveNotify(pParam) end


---@public 设置为停止播放状态
---@return void
function XEAnimMonNotifyInstance:ExplainSilentNotify() end


---@public 获取蒙太奇通知模板指针
---@return XEAnimMonNotify
function XEAnimMonNotifyInstance:GetAnimMonNotifyTemplate() end


