---插槽节点对应的实例类
---@class XEBindSocketInstance : XEUserNodeInstance
XEBindSocketInstance = {}


---@class XEBindSocketInstance__Listener
local XEBindSocketInstance__Listener = {}
XEBindSocketInstance.Listener = XEBindSocketInstance__Listener


---@public XEBindSocketInstance_Listener_GetTypeName00
---@return string
function XEBindSocketInstance__Listener:GetTypeName() end


---@public XEBindSocketInstance_Listener_GetName00
---@return string
function XEBindSocketInstance__Listener:GetName() end


---@public XEBindSocketInstance_Listener_SetName00
---@param strName string
---@return void
function XEBindSocketInstance__Listener:SetName(strName) end


---@public XEBindSocketInstance_Listener_OnSocketTick00
---@param pBindSocketIns XEBindSocketInstance
---@param matWorld XMATRIX4
---@return void
function XEBindSocketInstance__Listener:OnSocketTick(pBindSocketIns, matWorld) end


---@public XEBindSocketInstance_Listener_OnSocketRender00
---@param pBindSocketIns XEBindSocketInstance
---@return void
function XEBindSocketInstance__Listener:OnSocketRender(pBindSocketIns) end


---@public XEBindSocketInstance_new00
---@param pBindSocketTl XEBindSocket
---@return XEBindSocketInstance
function XEBindSocketInstance:new(pBindSocketTl) end


---@public 插槽上附加一个模型组件
---@return XEActorComponent
function XEBindSocketInstance:AttachComponent() end


---@public 将附加的模型组件从插槽上解绑
---@return void
function XEBindSocketInstance:DetachComponent() end


---@public 更新附加的组件信息
---@param pAssetPath string 附加的组件资源路径
---@param pAssetType string 附加的组件类型
---@param pAssetAnimPath string 附加的seq动画资源路径
---@return XEActorComponent
function XEBindSocketInstance:UpdateAttachComponent(pAssetPath, pAssetType, pAssetAnimPath) end


---@public 获取附加的组件资源路径
---@return string
function XEBindSocketInstance:GetAttachAssetPath() end


---@public 添加监听者
---@param pListener XEBindSocketInstance::Listener
---@return void
function XEBindSocketInstance:AddListener(pListener) end


---@public 移除监听者
---@param pListener XEBindSocketInstance::Listener
---@return void
function XEBindSocketInstance:RemoveListener(pListener) end


---@public 查找附加的组件对应的监听者指针
---@return XEBindSocketInstance__Listener
function XEBindSocketInstance:FindListener() end


---@public 获取当前插槽节点实例依附的骨头节点实例指针，如果当前节点依附的是一个插槽，那么返回的是依附的插槽实例依附的骨头节点实例
---@return XEBoneInstance
function XEBindSocketInstance:GetXEBoneInstance() end


---@public 获取插槽实例对应的插槽模板指针
---@return XEBindSocket
function XEBindSocketInstance:GetXEBindSocketTemplate() end


---@public 获取当前插槽的世界矩阵
---@return XMATRIX4
---@return void
function XEBindSocketInstance:GetWorldMatrix() end


---@public 获取当前插槽的世界矩阵
---@param mt4Absolute XMATRIX4 [in]父节点的世界矩阵
---@return XMATRIX4
---@return void
function XEBindSocketInstance:GetWorldMatrix(mt4Absolute) end


---@public 获取到所有监听者
---@return Listener[]
function XEBindSocketInstance:GetListeners() end


---@public 获取附加的模型组件指针
---@return XEActorComponent
function XEBindSocketInstance:GetAttachComponent() end


