---Montage的声音通知类实例
---@class XEAnimMonNotifySoundIns : XEAnimMonNotifyInstance
XEAnimMonNotifySoundIns = {}


---@public XEAnimMonNotifySoundIns_new00
---@param pNodeTl XEAnimMonNotifySound
---@return XEAnimMonNotifySoundIns
function XEAnimMonNotifySoundIns:new(pNodeTl) end


---@public 加载声音资源到当前声音效果通知实例上
---@return boolean
function XEAnimMonNotifySoundIns:AcceptSound() end


---@public 获取对应的声音效果通知实例模板
---@return XEAnimMonNotifySound
function XEAnimMonNotifySoundIns:GetAnimMonNotifySound() end


---@public 当设置为出生模式时，声音播放调用此函数，每次会重新生成一个新的声音效果组件，然后播放起来
---@param nLifeTime number 声音持续时间，到达这个时间后，声音会停止播放。
---@return boolean
function XEAnimMonNotifySoundIns:SpawnSound(nLifeTime) end


---@public 绑定插槽节点实例
---@return boolean
function XEAnimMonNotifySoundIns:BindXESocketInstance() end


---@public 与插槽节点实例解绑
---@return void
function XEAnimMonNotifySoundIns:UnbindXESocketInstance() end


---@public 获取默认的声音效果变换矩阵，如果声音效果绑定了插槽，则与该插槽的变换矩阵相同；如果没有，则与对应模型组件的变换矩阵相同
---@return XETransform
---@return boolean
function XEAnimMonNotifySoundIns:GetDefaultPawnTransform() end


---@public 清除并释放当前效果通知中的所有声音效果
---@return void
function XEAnimMonNotifySoundIns:ClearAllSpawnSound() end


---@public 应用蒙太奇动画里声音通知的“出生模式”
---@return void
function XEAnimMonNotifySoundIns:ApplySpawnMode() end


---@public 获取绑定的插槽实例
---@return XEBindSocketInstance
function XEAnimMonNotifySoundIns:GetBindSocketInstance() end


---@public 获取声音效果的组件指针
---@return XEAudioComponent
function XEAnimMonNotifySoundIns:GetSound() end


