---广播事件接收者类
---@class XEEventReceiver : XOwnerRecorder
XEEventReceiver = {}


---@public XEEventReceiver_new00
---@param pEventMgr XEEventManager
---@return XEEventReceiver
function XEEventReceiver:new(pEventMgr) end


---@public 获取当前接收者所在世界
---@return XEWorld
function XEEventReceiver:GetReceiverWorld() end


---@public 设置当前接收者所在世界
---@param pWorld XEWorld
---@return void
function XEEventReceiver:SetReceiverWorld(pWorld) end


---@public 获取当前接收者所在通道
---@return string
function XEEventReceiver:GetReceiverChannel() end


---@public 响应事件执行的函数
---@param pEvent XEEventBase
---@return void
function XEEventReceiver:RespondOnEvent(pEvent) end


---@public 添加到eventmanage中
---@return void
function XEEventReceiver:AddToEventManager() end


---@public 从eventmanager中删除
---@return void
function XEEventReceiver:RemoveFromEventManager() end


---@public 响应事件OnEventTick的函数
---@param pEvent XEEventBase 响应的事件指针
---@param fInterval number 帧间隔，单位是ms
---@return void
function XEEventReceiver:RespondOnEventTick(pEvent, fInterval) end


---@public 设置接收者名称
---@param szName string
---@return void
function XEEventReceiver:SetName(szName) end


---@public 获取接收者名称
---@return string
function XEEventReceiver:GetName() end


---@type string @readonly 
XEEventReceiver.RC_CHANNEL = ''


