---@class XEPatchNodeSubGraph : XEPatchNodeGraph
XEPatchNodeSubGraph = {}


---@public XEPatchNodeSubGraph_new00
---@return XEPatchNodeSubGraph
function XEPatchNodeSubGraph:new() end


---@public build and update pins from the sub-graph, warning! the old pins will be break and deleted!
---@param bClearPin boolean
---@return boolean
function XEPatchNodeSubGraph:RebuildPinsFromSubGraph(bClearPin) end


---@public 将结点打包为子图,注意打包之后，一定要手动调用XEPatchGraph::CreateSchema创建Scheme结点，否则Compile会失败！
---@param arrGraphNodes XEPatchGraphNode[]
---@param szSubAssetPath string
---@return boolean
function XEPatchNodeSubGraph:PackageSubGraph(arrGraphNodes, szSubAssetPath) end


---@public 将子图除Schema结点之外的其他结点添加到当前结点所属的父图
---@param arrGraphNodes XEPatchGraphNode[] 子图除Schema之外的所有子图节点
---@return boolean
function XEPatchNodeSubGraph:UnPackageSubGraph(arrGraphNodes) end


