---@type number @enum EPinContainerType
None = 0


---@type number @enum EPinContainerType
Array = 0


---@type number @enum EPinContainerType
Set = 0


---@type number @enum EPinContainerType
Map = 0


---@type number @enum EGraphPinDrivenType
EPDT_DEPENDENCY = 0


---@type number @enum EGraphPinDrivenType
EPDT_FLOW = 0


---@type number @enum EGraphPinDrivenType
EPDT_MAX = 0


---@type number @enum EGraphPinDirection
EGPD_Input = 0


---@type number @enum EGraphPinDirection
EGPD_Output = 0


---@type number @enum EGraphPinDirection
EGPD_MAX = 0


---@class XEPGraphPinType
XEPGraphPinType = {}


---@type number
XEPGraphPinType.ContainerType = 0


---@type cppstring owner node's type
XEPGraphPinType.PinOwnerNodeType = {}


---@type cppstring accept node's type
XEPGraphPinType.PinAcceptNodeType = {}


---@type cppstring
XEPGraphPinType.PinCategory = {}


---@type cppstring
XEPGraphPinType.PinSubCategory = {}


---@public XEPGraphPinType_new00
---@return XEPGraphPinType
function XEPGraphPinType:new() end


---@public XEPGraphPinType_IsConnectableWith00
---@param xelua_var_22  XEPGraphPinType
---@return boolean
function XEPGraphPinType:IsConnectableWith(xelua_var_22) end


---@public XEPGraphPinType_GetDataType00
---@return number
function XEPGraphPinType:GetDataType() end


---@public XEPGraphPinType_SetCategoryFrom00
---@param xelua_var_23  XEPGraphPinType
---@return void
function XEPGraphPinType:SetCategoryFrom(xelua_var_23) end


---@public XEPGraphPinType_SetOwnerFromNode00
---@param pNode XEPatchGraphNode
---@return void
function XEPGraphPinType:SetOwnerFromNode(pNode) end


---@public XEPGraphPinType_RemoveAcceptNodeType00
---@param strNodeType string
---@return boolean
function XEPGraphPinType:RemoveAcceptNodeType(strNodeType) end


---@public XEPGraphPinType_IsAlwaysAcceptable00
---@return boolean
function XEPGraphPinType:IsAlwaysAcceptable() end


---@public XEPGraphPinType_GetAcceptNodeTypes00
---@return string[]
function XEPGraphPinType:GetAcceptNodeTypes() end


---@public XEPGraphPinType_GetOwnerNodeTypes00
---@return string[]
function XEPGraphPinType:GetOwnerNodeTypes() end


---@public XEPGraphPinType_ResetToDefaults00
---@return void
function XEPGraphPinType:ResetToDefaults() end


---@public XEPGraphPinType_SetOwnerNodeType00
---@param strNodeType string
---@return void
function XEPGraphPinType:SetOwnerNodeType(strNodeType) end


---@public XEPGraphPinType_SetAcceptNodeType00
---@param strNodeType string
---@return void
function XEPGraphPinType:SetAcceptNodeType(strNodeType) end


---@public XEPGraphPinType_AppendAcceptNodeType00
---@param strNodeType string
---@return void
function XEPGraphPinType:AppendAcceptNodeType(strNodeType) end


---@public XEPGraphPinType_AppendOwnerNodeType00
---@param strNodeType string
---@return void
function XEPGraphPinType:AppendOwnerNodeType(strNodeType) end


---@public XEPGraphPinType_SetDataType00
---@param dt number
---@return void
function XEPGraphPinType:SetDataType(dt) end


---@public XEPGraphPinType_GetDataTypeStr00
---@return string
function XEPGraphPinType:GetDataTypeStr() end


---@public XEPGraphPinType_IsAlwaysExposed00
---@return boolean
function XEPGraphPinType:IsAlwaysExposed() end


---@public XEPGraphPinType_SetAlwaysExposed00
---@param bAlways boolean
---@return void
function XEPGraphPinType:SetAlwaysExposed(bAlways) end


---@public XEPGraphPinType_IsConst00
---@return boolean
function XEPGraphPinType:IsConst() end


---@type string
XEPGraphPinType.s_NoAcceptablePin = ''


---@type string
XEPGraphPinType.s_AlwaysAcceptablePin = ''


