---@class XESeqAnimController : XEAnimController
XESeqAnimController = {}


---@class XESeqAnimController__Listener : XEAnimController__Listener
local XESeqAnimController__Listener = {}
XESeqAnimController.Listener = XESeqAnimController__Listener


---@public 通知监听者触发关键帧
---@param nMillisecond number 当前时间（ms）
---@param pKeyframe  XEKeyframeBase 关键帧指针
---@return void
function XESeqAnimController__Listener:Ls_KeyframeTrigger(nMillisecond, pKeyframe) end


---@public XESeqAnimController_new00
---@return XESeqAnimController
function XESeqAnimController:new() end


---@public 向Listener通知触发关键帧pKeyframe
---@param pKeyframe  XEKeyframeBase
---@return void
function XESeqAnimController:BroadcastKeyframeTrigger(pKeyframe) end


---@public 设置过场动画实例指针
---@param pSequencerIns XESequencerInstance
---@return void
function XESeqAnimController:SetSequencer(pSequencerIns) end


---@public 获取过场动画实例指针
---@return XESequencerInstance
function XESeqAnimController:GetSequencer() end


---@public 获取某个节点实例的长度
---@param pNodeIns XEUserNodeInstance 要获取长度的节点实例
---@param nTimeLen number [out]节点的长度
---@return void
function XESeqAnimController:GetNodeTimeLength(pNodeIns, nTimeLen) end


