---@class XEBodyJointSocketActor : XEMagicCoreTrackingActorBase
XEBodyJointSocketActor = {}


---@public XEBodyJointSocketActor_new00
---@return XEBodyJointSocketActor
function XEBodyJointSocketActor:new() end


---@public XEBodyJointSocketActor_GetTypeName00
---@return string
function XEBodyJointSocketActor:GetTypeName() end


---@public XEBodyJointSocketActor_GetActorShortName00
---@return string
function XEBodyJointSocketActor:GetActorShortName() end


---@type string @readonly 
XEBodyJointSocketActor.ACTOR_TYPENAME = ''


---@type string @readonly 
XEBodyJointSocketActor.ACTOR_SHORT_NAME = ''


---@public 获取所有身体关节点（14个）
---@return XEBodyJoint[]
function XEBodyJointSocketActor:GetLandMark() end


---@public 获取指定索引的身体关节点
---@param nPointIndex number 指定关节点索引，区间为[0，13]
---@return XVECTOR2
function XEBodyJointSocketActor:GetLandMarkPoint(nPointIndex) end


---@public 获取所有身体关节点（14个）
---@param arrLandmark XEBodyJoint[]
---@return void
function XEBodyJointSocketActor:CopyLandMark(arrLandmark) end


---@public 设置绑定的身体索引，从1开始
---@param nIndex number 身体索引
---@return void
function XEBodyJointSocketActor:SetAttachBodyIndex(nIndex) end


---@public 获取绑定的身体索引
---@return number
function XEBodyJointSocketActor:GetAttachBodyIndex() end


