---@class XEImgFaceBrushComponent : XEBrushComponent
XEImgFaceBrushComponent = {}


---@public XEImgFaceBrushComponent_new00
---@return XEImgFaceBrushComponent
function XEImgFaceBrushComponent:new() end


---@public XEImgFaceBrushComponent_GetTypeName00
---@return string
function XEImgFaceBrushComponent:GetTypeName() end


---@type string @readonly 
XEImgFaceBrushComponent.COMPONENT_TYPENAME = ''


---@public 设置对应的人脸索引
---@param nFaceIndex number 人脸索引，从1开始
---@return void
function XEImgFaceBrushComponent:SetFaceIndex(nFaceIndex) end


---@public 获取对应的人脸索引，从1开始
---@return number xint32
function XEImgFaceBrushComponent:GetFaceIndex() end


---@public 设置相对于参考点的偏移（像素）
---@param vOffsetPixel XVECTOR3 偏移向量
---@return void
function XEImgFaceBrushComponent:SetPixelOffset(vOffsetPixel) end


---@public 获取相对于参考点的偏移（像素）
---@return XVECTOR3 XVECTOR3
function XEImgFaceBrushComponent:GetPixelOffset() end


---@public 根据传入的世界坐标点计算相对于参考点的偏移（像素）
---@param vWorldPos XVECTOR3 世界坐标点
---@return void
function XEImgFaceBrushComponent:SetPixelOffsetFromWorldLoc(vWorldPos) end


---@public 更新世界矩阵
---@return void
function XEImgFaceBrushComponent:UpdateTransform() end


---@public XEImgFaceBrushComponent_SetAutoApplyTransform00
---@param bAutoUpdate boolean
---@return void
function XEImgFaceBrushComponent:SetAutoApplyTransform(bAutoUpdate) end


---@public XEImgFaceBrushComponent_IsAutoApplyTransform00
---@return boolean
function XEImgFaceBrushComponent:IsAutoApplyTransform() end


---@public XEImgFaceBrushComponent_GetRefFaceTrackActor00
---@return XEFaceTrackerActor
function XEImgFaceBrushComponent:GetRefFaceTrackActor() end


