---@class XEMagicCore
XEMagicCore = {}


---@class XEMagicCore__XEFaceEntity
local XEMagicCore__XEFaceEntity = {}
XEMagicCore.XEFaceEntity = XEMagicCore__XEFaceEntity


---@type number
XEMagicCore__XEFaceEntity.nFaceIndex = 0


---@type number original tracking id
XEMagicCore__XEFaceEntity.nCurTrackingID = 0


---@type number may be changed at each frame. please provide this detail-meaning for the runnable module if necessary.
XEMagicCore__XEFaceEntity.nCurFaceExpressionCode = 0


---@type XVECTOR4 you may probably use this to calculate the correct UVs.
XEMagicCore__XEFaceEntity.vFaceRect = {}


---@type XMATRIX4 indicate that the matrix for the face, need to update every frame, don't change the sequence!
XEMagicCore__XEFaceEntity.matFace = {}


---@type XVECTOR3 new add
XEMagicCore__XEFaceEntity.vEulerAngle = {}


---@type XVECTOR3 face-rig euler angle
XEMagicCore__XEFaceEntity.vFaceRigEulerAngle = {}


---@type number[]
XEMagicCore__XEFaceEntity.arrFaceLandMarks = {}


---@type number[] 137 for makeup
XEMagicCore__XEFaceEntity.arrFaceLandMarks137 = {}


---@type number[] 104 for filter by zsx 2019.09.12
XEMagicCore__XEFaceEntity.arrFaceLandMarks104 = {}


---@type number[] 51 points for face-rig
XEMagicCore__XEFaceEntity.arrFaceRigPoints = {}


---@type number[]
XEMagicCore__XEFaceEntity.arrSrcWarpPoints = {}


---@type number[]
XEMagicCore__XEFaceEntity.arrDstWarpPoints = {}


---@type number[] skin_threshold_
XEMagicCore__XEFaceEntity.arrSkinThreshold = {}


---@public XEMagicCore_XEFaceEntity_IsValid00
---@return boolean
function XEMagicCore__XEFaceEntity:IsValid() end


---@class XEMagicCore__XEObjectEntity
local XEMagicCore__XEObjectEntity = {}
XEMagicCore.XEObjectEntity = XEMagicCore__XEObjectEntity


---@public XEMagicCore_XEObjectEntity_UpdateData00
---@param cpy  XEMagicCore::XEObjectEntity
---@return void
function XEMagicCore__XEObjectEntity:UpdateData(cpy) end


---@public XEMagicCore_XEObjectEntity_Clear00
---@return void
function XEMagicCore__XEObjectEntity:Clear() end


---@public XEMagicCore_XEObjectEntity_IsValid00
---@return boolean
function XEMagicCore__XEObjectEntity:IsValid() end


---@type number
XEMagicCore__XEObjectEntity.fScore = 0


---@type number
XEMagicCore__XEObjectEntity.nObjectIndex = 0


---@type XVECTOR4
XEMagicCore__XEObjectEntity.vObjectRect = {}


---@type string
XEMagicCore__XEObjectEntity.strClassName = ''


---@class XEMagicCore__XEBodyJoint
local XEMagicCore__XEBodyJoint = {}
XEMagicCore.XEBodyJoint = XEMagicCore__XEBodyJoint


---@public XEMagicCore_XEBodyJoint_UpdateData00
---@param cpy  XEMagicCore::XEBodyJoint
---@return void
function XEMagicCore__XEBodyJoint:UpdateData(cpy) end


---@type number
XEMagicCore__XEBodyJoint.fScore = 0


---@type number
XEMagicCore__XEBodyJoint.nPointX = 0


---@type number
XEMagicCore__XEBodyJoint.nPointY = 0


---@class XEMagicCore__XEBodyEntity
local XEMagicCore__XEBodyEntity = {}
XEMagicCore.XEBodyEntity = XEMagicCore__XEBodyEntity


---@public XEMagicCore_XEBodyEntity_IsValid00
---@return boolean
function XEMagicCore__XEBodyEntity:IsValid() end


---@type XEBodyJoint[]
XEMagicCore__XEBodyEntity.a2DJoints = {}


---@type number
XEMagicCore__XEBodyEntity.nBodyIndex = 0


---@type number[]
XEMagicCore__XEBodyEntity.arrSrcWarpPoints = {}


---@type number[]
XEMagicCore__XEBodyEntity.arrDstWarpPoints = {}


---@class XEMagicCore__XEHandGestureEntity
local XEMagicCore__XEHandGestureEntity = {}
XEMagicCore.XEHandGestureEntity = XEMagicCore__XEHandGestureEntity


---@public XEMagicCore_XEHandGestureEntity_IsValid00
---@return boolean
function XEMagicCore__XEHandGestureEntity:IsValid() end


---@type number
XEMagicCore__XEHandGestureEntity.fScore = 0


---@type XVECTOR4
XEMagicCore__XEHandGestureEntity.vHandRect = {}


---@type string
XEMagicCore__XEHandGestureEntity.strClassName = ''


---@type number
XEMagicCore__XEHandGestureEntity.nHandGestureIndex = 0


---@class XEMagicCore__XEFaceExpressionEntity
local XEMagicCore__XEFaceExpressionEntity = {}
XEMagicCore.XEFaceExpressionEntity = XEMagicCore__XEFaceExpressionEntity


---@public XEMagicCore_XEFaceExpressionEntity_IsValid00
---@return boolean
function XEMagicCore__XEFaceExpressionEntity:IsValid() end


---@type number
XEMagicCore__XEFaceExpressionEntity.nLeftEye = 0


---@type number
XEMagicCore__XEFaceExpressionEntity.nRightEye = 0


---@type number
XEMagicCore__XEFaceExpressionEntity.nHead = 0


---@type number
XEMagicCore__XEFaceExpressionEntity.nNeck = 0


---@type number
XEMagicCore__XEFaceExpressionEntity.nMouth = 0


---@type number
XEMagicCore__XEFaceExpressionEntity.nFaceIndex = 0


---@class XEMagicCore__XEAttitudeEntity
local XEMagicCore__XEAttitudeEntity = {}
XEMagicCore.XEAttitudeEntity = XEMagicCore__XEAttitudeEntity


---@public XEMagicCore_XEAttitudeEntity_Clear00
---@return void
function XEMagicCore__XEAttitudeEntity:Clear() end


---@type XVECTOR3 new add
XEMagicCore__XEAttitudeEntity.vEulerAngle = {}


---@type XMATRIX3
XEMagicCore__XEAttitudeEntity.matRotation = {}


---@type XQUATERNION
XEMagicCore__XEAttitudeEntity.qQuaternion = {}


---@class XEMagicCore__XEAccelerationEntity
local XEMagicCore__XEAccelerationEntity = {}
XEMagicCore.XEAccelerationEntity = XEMagicCore__XEAccelerationEntity


---@public XEMagicCore_XEAccelerationEntity_Clear00
---@return void
function XEMagicCore__XEAccelerationEntity:Clear() end


---@type XVECTOR3
XEMagicCore__XEAccelerationEntity.vAcceleration = {}


---@type number
XEMagicCore__XEAccelerationEntity.fTimestamp = 0


---@class XEMagicCore__XEImageSegmentEntity
local XEMagicCore__XEImageSegmentEntity = {}
XEMagicCore.XEImageSegmentEntity = XEMagicCore__XEImageSegmentEntity


---@public XEMagicCore_XEImageSegmentEntity_IsValid00
---@return boolean
function XEMagicCore__XEImageSegmentEntity:IsValid() end


---@type IXTexture2D
XEMagicCore__XEImageSegmentEntity.texture2D = {}


---@type XTexFormat
XEMagicCore__XEImageSegmentEntity.eFormat = {}


---@type number
XEMagicCore__XEImageSegmentEntity.nSegmentType = 0


---@class XEMagicCore__XEDetectParam
local XEMagicCore__XEDetectParam = {}
XEMagicCore.XEDetectParam = XEMagicCore__XEDetectParam


---@public XEMagicCore_XEDetectParam_new00
---@param pTypeDesc string
---@return XEMagicCore__XEDetectParam
function XEMagicCore__XEDetectParam:new(pTypeDesc) end


---@public XEMagicCore_XEDetectParam_IsAllEqual00
---@param cmp  XEMagicCore::XEDetectParam
---@return boolean
function XEMagicCore__XEDetectParam:IsAllEqual(cmp) end


---@type boolean
XEMagicCore__XEDetectParam.bShowInProperty = false


---@type XEVariant variant data.
XEMagicCore__XEDetectParam.data = {}


---@type string e.g, face_width_, beauty_switch_, etc.
XEMagicCore__XEDetectParam.szTypeDesc = ''


---@class XEMagicCore__XEMNNResultEntity
local XEMagicCore__XEMNNResultEntity = {}
XEMagicCore.XEMNNResultEntity = XEMagicCore__XEMNNResultEntity


---@public XEMagicCore_XEMNNResultEntity_IsValid00
---@return boolean
function XEMagicCore__XEMNNResultEntity:IsValid() end


---@type number
XEMagicCore__XEMNNResultEntity.nResultIndex = 0


---@type string
XEMagicCore__XEMNNResultEntity.mnnKey = ''


---@type string
XEMagicCore__XEMNNResultEntity.strModelPath = ''


---@type string
XEMagicCore__XEMNNResultEntity.strJsonResult = ''


---@type number @enum eEntityDetectStatus
XEMagicCore.EDS_UNKOWN = 0


---@type number @enum eEntityDetectStatus
XEMagicCore.EDS_ADD_NEW = 0


---@type number @enum eEntityDetectStatus
XEMagicCore.EDS_MODIFY_EXIST = 0


---@class XEMagicCore__FxListener : XMemBase
local XEMagicCore__FxListener = {}
XEMagicCore.FxListener = XEMagicCore__FxListener


---@public XEMagicCore_FxListener_new00
---@return XEMagicCore__FxListener
function XEMagicCore__FxListener:new() end


---@public mmcv-detecting algorithm enable/disable switch
---@param bEnable boolean
---@return void
function XEMagicCore__FxListener:OnMMCVDetectEnableChange(bEnable) end


---@public single face entity detected.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param status number
---@param entity  XEMagicCore::XEFaceEntity
---@return void
function XEMagicCore__FxListener:OnFaceEntityDetected(pEnvBridge, status, entity) end


---@public may include index/matrix/landmarks/expression changing, an assemble detector, multi face entities.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entities XEFaceEntity[]
---@return void
function XEMagicCore__FxListener:OnFaceEntitiesChangeDetected(pEnvBridge, entities) end


---@public single obect entity
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param status number
---@param entity  XEMagicCore::XEObjectEntity
---@return void
function XEMagicCore__FxListener:OnObjectEntityDetected(pEnvBridge, status, entity) end


---@public an assemble detector, multi object entities.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entities XEObjectEntity[]
---@return void
function XEMagicCore__FxListener:OnObjectEntitiesChangeDetected(pEnvBridge, entities) end


---@public segmentation, nSegModelType need to be defined, may exist multi types, eg. face-only, body, hand, hair-only, etc.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@return void
function XEMagicCore__FxListener:OnSegmentationProcessed(pEnvBridge) end


---@public single body entity
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param status number
---@param entity  XEMagicCore::XEBodyEntity
---@return void
function XEMagicCore__FxListener:OnBodyEntityDetected(pEnvBridge, status, entity) end


---@public multi body entities
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entities XEBodyEntity[]
---@return void
function XEMagicCore__FxListener:OnBodyEntitiesChangeDetected(pEnvBridge, entities) end


---@public handgesture entities, gesture with tracking
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param status number
---@param entity  XEMagicCore::XEHandGestureEntity
---@return void
function XEMagicCore__FxListener:OnHandGestureEntityDetected(pEnvBridge, status, entity) end


---@public an assemble detector, multi hand entities.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entities XEHandGestureEntity[]
---@return void
function XEMagicCore__FxListener:OnHandGestureEntitiesChangeDetected(pEnvBridge, entities) end


---@public expression entities
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param status number
---@param entity  XEMagicCore::XEFaceExpressionEntity
---@return void
function XEMagicCore__FxListener:OnFaceExpressionEntityDetected(pEnvBridge, status, entity) end


---@public an assemble detector, multi face exoression entities.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entities XEFaceExpressionEntity[]
---@return void
function XEMagicCore__FxListener:OnFaceExpressionEntitiesChangeDetected(pEnvBridge, entities) end


---@public imagesegment entity
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entity  XEMagicCore::XEImageSegmentEntity
---@return void
function XEMagicCore__FxListener:OnImageSegmentEntityChangeDetected(pEnvBridge, entity) end


---@public device attitude entity
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entity  XEMagicCore::XEAttitudeEntity
---@return void
function XEMagicCore__FxListener:OnDeviceAttitudeEntityChanged(pEnvBridge, entity) end


---@public device acceleration entity
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entity  XEMagicCore::XEAccelerationEntity
---@return void
function XEMagicCore__FxListener:OnDeviceAccelerationEntityChanged(pEnvBridge, entity) end


---@public custom mnn entities
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param status number
---@param entity  XEMagicCore::XEMNNResultEntity
---@return void
function XEMagicCore__FxListener:OnMNNResultEntityDetected(pEnvBridge, status, entity) end


---@public an assemble detector, multi custom mnn-result entities.
---@param pEnvBridge XEDecorationEnvBridgeBase
---@param entities XEMNNResultEntity[]
---@return void
function XEMagicCore__FxListener:OnMNNResultEntitiesChangeDetected(pEnvBridge, entities) end


---@public 获取指定索引对应的人脸信息
---@param nFaceIndex number
---@return XEMagicCore__XEFaceEntity
function XEMagicCore:GetFaceEntityByIndex(nFaceIndex) end


---@public 获取指定索引对应的表情识别信息
---@param nObjectIndex number
---@return XEMagicCore__XEObjectEntity
function XEMagicCore:GetObjectEntity(nObjectIndex) end


---@public 获取指定索引对应的手势信息
---@param nHandGestureIndex number
---@return XEMagicCore__XEHandGestureEntity
function XEMagicCore:GetHandGestureEntity(nHandGestureIndex) end


---@public 获取指定索引对应的表情信息
---@param nFaceIndex number
---@return XEMagicCore__XEFaceExpressionEntity
function XEMagicCore:GetFaceExpressionEntity(nFaceIndex) end


---@public 获取指定索引对应的自定义算法检测信息
---@param nResultIndex number
---@return XEMagicCore__XEMNNResultEntity
function XEMagicCore:GetMNNResultEntity(nResultIndex) end


---@public 获取当前帧的图像分割结果
---@return XEMagicCore__XEImageSegmentEntity
function XEMagicCore:GetImageSegmentEntity() end


---@public 获取当前帧设备的姿态数据
---@return XEMagicCore__XEAttitudeEntity
function XEMagicCore:GetAttitudeEntity() end


---@public 获取当前帧设备的加速度数据
---@return XEMagicCore__XEAccelerationEntity
function XEMagicCore:GetAccelerationEntity() end


---@public 获取桥接指针
---@return XEDecorationEnvBridgeBase
function XEMagicCore:GetEnvBridge() end


---@public 获取滤镜构建器指针（根据滤镜节点构建滤镜渲染图）
---@return XEGraphBuilderSelector
function XEMagicCore:GetGraphBuilderSelector() end


---@public 判断前向滤镜链是否可用
---@return boolean
function XEMagicCore:IsPreProcessEnabled() end


---@public 判断后置滤镜链是否可用
---@return boolean
function XEMagicCore:IsPostProcessEnabled() end


---@public 启用图像处理过程相关
---@param bEnable boolean
---@param nProcessType number
---@return void
function XEMagicCore:EnableImageEffectProcess(bEnable, nProcessType) end


---@public 刷新所有滤镜节点图
---@param pWorld XEWorld
---@return void
function XEMagicCore:RefreshAllFilterGraphForWorld(pWorld) end


---@public 获取检测中心
---@return XEDetectorCenter
function XEMagicCore:GetDetectorCenter() end


---@public 获取算法参数对象（在World中）
---@param pWorld  XEWorld 指定一个world,如果为NULL，将尝试从pEngineIns中寻找
---@return XEParamWorldExtendCVDetect
function XEMagicCore:GetCVParamDetector(pWorld) end


