---@class FileUtils
FileUtils = {}

---@public 添加一个搜索路径（相对于项目资源路径）
---@param path string
---@return boolean
function FileUtils:AddSearchPath(path) end

---@public 移除一个搜索路径
---@param path string
---@return void
function FileUtils:RemoveSearchPath(path) end

---@public 判断文件是否存在
---@param fileName string
---@return boolean
function FileUtils:FileExists(fileName) end

---@public 读取文件内容
---@param fileName string
---@return string
function FileUtils:JSONBuffer(fileName) end

---@public 获取文件全路径
---@param fileName string
---@return string
function FileUtils:FullFilePath(fileName) end

---@public 获取文件路径（相对于项目资源路径）
---@param fileName string
---@return string
function FileUtils:FilePath(fileName) end