---@class XEDevice
XEDevice = {}


---@type number @enum NetworkType
XEDevice.NETWORK_TYPE_UNCONNECTED = 0


---@type number @enum NetworkType
XEDevice.NETWORK_TYPE_CALLULAR = 0


---@type number @enum NetworkType
XEDevice.NETWORK_TYPE_WIFI = 0


---@public 获取网络状态
---@return number
function XEDevice:GetNetworkType() end


---@public 获取设备描述信息
---@return string
function XEDevice:GetDeviceInfo() end


---@public 获取是被型号
---@return string
function XEDevice:GetDeviceModel() end


---@public 获取操作系统
---@return string
function XEDevice:GetDeviceSystemVersion() end


---@public XEDevice_GetPackageName00
---@return string
function XEDevice:GetPackageName() end


---@public XEDevice_GetAppName00
---@return string
function XEDevice:GetAppName() end


---@public XEDevice_GetAvailableProcessors00
---@return number
function XEDevice:GetAvailableProcessors() end


