---@class XIndexBuffer16 : IXIndexBuffer
XIndexBuffer16 = {}


---@public XIndexBuffer16_new00
---@param bDynamic boolean
---@param nSize number
---@param nGrowSize number
---@return XIndexBuffer16
function XIndexBuffer16:new(bDynamic, nSize, nGrowSize) end


---@public 获取内存数据类型
---@return XResType 内存数据类型
function XIndexBuffer16:Type() end


---@public 获取资源id
---@return number 资源id
function XIndexBuffer16:GetResourceIdx() end


---@public 设置资源id
---@param nIdx number 资源id
---@return void
function XIndexBuffer16:SetResourceIdx(nIdx) end


---@public 判断是否是动态内存
---@return boolean 是否是动态内存
function XIndexBuffer16:IsDynamic() end


---@public 更新资源
---@return void
function XIndexBuffer16:Update() end


---@public 获取资源id数目
---@return number 资源id数目
function XIndexBuffer16:GetIdxNum() end


---@public XIndexBuffer16_GetData00
---@param pDestBuf userdata
---@return void
function XIndexBuffer16:GetData(pDestBuf) end


---@public 获取资源数据buffer
---@return number
function XIndexBuffer16:GetSize() end


---@public XIndexBuffer16_GetStride00
---@return number
function XIndexBuffer16:GetStride() end


---@public XIndexBuffer16_SetIndexNum00
---@param nNum number
---@return void
function XIndexBuffer16:SetIndexNum(nNum) end


---@public XIndexBuffer16_AddIndex00
---@param nIdx number
---@return void
function XIndexBuffer16:AddIndex(nIdx) end


---@public XIndexBuffer16_GetIndex00
---@param nIdx number
---@return number
function XIndexBuffer16:GetIndex(nIdx) end


---@public XIndexBuffer16_Flush00
---@return void
function XIndexBuffer16:Flush() end


---@public XIndexBuffer16_GetIndices00
---@return userdata
function XIndexBuffer16:GetIndices() end


---@public XIndexBuffer16_GetIndices01
---@return userdata
function XIndexBuffer16:GetIndices() end


---@class XIndexBuffer32 : IXIndexBuffer
XIndexBuffer32 = {}


---@public XIndexBuffer32_new00
---@param bDynamic boolean
---@param nSize number
---@param nGrowSize number
---@return XIndexBuffer32
function XIndexBuffer32:new(bDynamic, nSize, nGrowSize) end


---@public 获取内存数据类型
---@return XResType 内存数据类型
function XIndexBuffer32:Type() end


---@public 获取资源id
---@return number 资源id
function XIndexBuffer32:GetResourceIdx() end


---@public 设置资源id
---@param nIdx number 资源id
---@return void
function XIndexBuffer32:SetResourceIdx(nIdx) end


---@public 判断是否是动态内存
---@return boolean 是否是动态内存
function XIndexBuffer32:IsDynamic() end


---@public 更新资源
---@return void
function XIndexBuffer32:Update() end


---@public 获取资源id数目
---@return number 资源id数目
function XIndexBuffer32:GetIdxNum() end


---@public XIndexBuffer32_GetData00
---@param pDestBuf userdata
---@return void
function XIndexBuffer32:GetData(pDestBuf) end


---@public 获取资源数据buffer
---@return number
function XIndexBuffer32:GetSize() end


---@public XIndexBuffer32_GetStride00
---@return number
function XIndexBuffer32:GetStride() end


---@public XIndexBuffer32_SetIndexNum00
---@param nNum number
---@return void
function XIndexBuffer32:SetIndexNum(nNum) end


---@public XIndexBuffer32_AddIndex00
---@param nIdx number
---@return void
function XIndexBuffer32:AddIndex(nIdx) end


---@public XIndexBuffer32_GetIndex00
---@param nIdx number
---@return number
function XIndexBuffer32:GetIndex(nIdx) end


---@public XIndexBuffer32_Flush00
---@return void
function XIndexBuffer32:Flush() end


---@public XIndexBuffer32_GetIndices00
---@return userdata
function XIndexBuffer32:GetIndices() end


---@public XIndexBuffer32_GetIndices01
---@return userdata
function XIndexBuffer32:GetIndices() end


---@class XVertPos
XVertPos = {}


---@type XVECTOR3
XVertPos.vPos = {}


---@class XVertUV
XVertUV = {}


---@type XVECTOR2
XVertUV.vUV = {}


---@class XVertexElement : IXVertexElement
XVertexElement = {}


---@public XVertexElement_new00
---@return XVertexElement
function XVertexElement:new() end


---@public XVertexElement_new01
---@param pVertBuf IXVertexBuffer
---@param nOffset number
---@param type XVertElementType
---@param usage XVertElementUsage
---@param nUsageIdx number
---@return XVertexElement
function XVertexElement:new(pVertBuf, nOffset, type, usage, nUsageIdx) end


---@public XVertexElement_GetVertexBuffer00
---@return IXVertexBuffer
function XVertexElement:GetVertexBuffer() end


---@public XVertexElement_GetOffset00
---@return number
function XVertexElement:GetOffset() end


---@public XVertexElement_GetType00
---@return XVertElementType
function XVertexElement:GetType() end


---@public XVertexElement_GetUsage00
---@return XVertElementUsage
function XVertexElement:GetUsage() end


---@public XVertexElement_GetUsageIdx00
---@return number
function XVertexElement:GetUsageIdx() end


---@class XVertexDesc : IXVertexDesc
XVertexDesc = {}


---@public XVertexDesc_new00
---@param name number
---@return XVertexDesc
function XVertexDesc:new(name) end


---@public 获取内存数据类型
---@return XResType 内存数据类型
function XVertexDesc:Type() end


---@public 获取资源id
---@return number 资源id
function XVertexDesc:GetResourceIdx() end


---@public 设置资源id
---@param nIdx number 资源id
---@return void
function XVertexDesc:SetResourceIdx(nIdx) end


---@public 判断是否是动态内存
---@return boolean 是否是动态内存
function XVertexDesc:IsDynamic() end


---@public XVertexDesc_GetHash00
---@return number
function XVertexDesc:GetHash() end


---@public 更新资源
---@return void
function XVertexDesc:Update() end


---@public XVertexDesc_GetVertElementNum00
---@return number
function XVertexDesc:GetVertElementNum() end


---@public XVertexDesc_GetVertElement00
---@param nIdx number
---@return IXVertexElement
function XVertexDesc:GetVertElement(nIdx) end


---@public XVertexDesc_GetName00
---@return number
function XVertexDesc:GetName() end


---@public XVertexDesc_AddVertElement00
---@param vertElement XVertexElement
---@return void
function XVertexDesc:AddVertElement(vertElement) end


---@public XVertexDesc_ClearAllElements00
---@return void
function XVertexDesc:ClearAllElements() end


